// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S060_CaseNumbersCGUE.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;


@SuppressWarnings("fallthrough")
class S060_CaseNumbersCGUE extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;
  public static final int jointState = 4;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1,  1,  2, 2
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\34\u0200\1\u0300\1\u0200\1\u0400\1\u0500\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\3\22\0\1\1"+
    "\1\0\1\4\3\0\1\5\1\6\1\7\1\10\2\0"+
    "\1\11\1\12\1\13\1\14\1\15\1\16\1\17\3\20"+
    "\2\21\1\22\1\23\1\24\1\25\5\0\1\26\1\27"+
    "\1\30\1\31\1\32\1\33\1\34\1\35\1\36\1\37"+
    "\1\40\1\41\1\42\1\43\1\44\1\45\1\37\1\46"+
    "\1\47\1\50\1\51\1\52\1\53\3\37\1\54\1\55"+
    "\1\56\1\0\1\57\1\6\1\60\1\61\1\62\1\63"+
    "\1\64\1\65\1\66\1\67\1\70\1\71\1\72\1\73"+
    "\1\74\1\75\1\76\1\77\1\71\1\100\1\101\1\102"+
    "\1\103\1\104\1\105\3\71\65\0\1\106\3\0\1\6"+
    "\13\0\6\71\1\0\11\71\1\0\6\71\2\0\4\71"+
    "\3\0\6\71\1\0\11\71\1\0\6\71\2\0\4\71"+
    "\53\0\2\71\6\0\2\107\66\0\2\71\4\0\2\71"+
    "\17\0\1\110\u0188\0\2\71\216\0\2\71\42\0\2\71"+
    "\104\0\1\1\20\0\2\12\4\0\1\6\u0110\0\1\111"+
    "\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1536];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\3\0\11\1\2\2\10\3\124\0\1\4\76\0\1\4"+
    "\127\0\1\5\4\0\4\6\36\0\4\7\100\0\1\6"+
    "\151\0\2\10\4\0\4\7\20\0\6\11\43\0\4\12"+
    "\20\0\1\4\53\0\4\13\33\0\1\11\47\0\2\14"+
    "\1\0\1\15\20\0\4\16\43\0\1\16\u013f\0\4\16"+
    "\13\0\1\16\42\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[1101];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\112\0\224\0\336\0\u0128\0\u0172\0\u01bc\0\u0206"+
    "\0\u0250\0\u029a\0\u02e4\0\u032e\0\u0172\0\u0378\0\u0172\0\u03c2"+
    "\0\u040c\0\u0456\0\u04a0\0\u04ea\0\u0534\0\u057e\0\u05c8\0\u0612"+
    "\0\u065c\0\u06a6\0\u06f0\0\u073a\0\u0784\0\u07ce\0\336\0\u0818"+
    "\0\u0862\0\u08ac\0\u08f6\0\u0940\0\u098a\0\u09d4\0\u0a1e\0\u057e"+
    "\0\u0a68\0\u0ab2\0\u0afc\0\u0b46\0\u0b90\0\u0bda\0\u0c24\0\u0c6e"+
    "\0\u0cb8\0\u0d02\0\u0d4c\0\u0d96\0\u0de0\0\u0e2a\0\u0e74\0\u0ebe"+
    "\0\u0f08\0\u0f52\0\u0f9c\0\u0fe6\0\u1030\0\u107a\0\u10c4\0\u110e"+
    "\0\u1158\0\u11a2\0\u11ec\0\u1236\0\u1280\0\u12ca\0\u1314\0\u135e"+
    "\0\u13a8\0\u13f2\0\u143c\0\u1486\0\u14d0\0\u151a\0\u1564\0\u15ae"+
    "\0\u15f8\0\u1642\0\u168c\0\u16d6\0\u1720\0\u176a\0\u17b4\0\u17fe"+
    "\0\u1848\0\u1892\0\u18dc\0\u1926\0\u1970\0\u19ba\0\u1a04\0\u1a4e"+
    "\0\u1a98\0\u1ae2\0\u1b2c\0\u1b76\0\u1bc0\0\u1c0a\0\u1c54\0\u1c9e"+
    "\0\u1ce8\0\u1d32\0\u1d7c\0\u1dc6\0\u1e10\0\u1e5a\0\u1ea4\0\u1eee"+
    "\0\u1f38\0\u1f82\0\u1fcc\0\u2016\0\u2060\0\u20aa\0\u20f4\0\u213e"+
    "\0\u2188\0\u21d2\0\u221c\0\u2266\0\u22b0\0\u22fa\0\u2344\0\u238e"+
    "\0\u23d8\0\u2422\0\u246c\0\u24b6\0\u2500\0\u254a\0\u2594\0\u25de"+
    "\0\u2628\0\u2672\0\u26bc\0\u2706\0\u2750\0\u279a\0\u27e4\0\u0206"+
    "\0\u282e\0\u2878\0\u28c2\0\u290c\0\u2956\0\u29a0\0\u29ea\0\u2a34"+
    "\0\u2a7e\0\u2ac8\0\u2b12\0\u2b5c\0\u2ba6\0\u2bf0\0\u2c3a\0\u2c84"+
    "\0\u2cce\0\u2d18\0\u2d62\0\u2dac\0\u2df6\0\u2e40\0\u2e8a\0\u2ed4"+
    "\0\u2f1e\0\u2f68\0\u2fb2\0\u2ffc\0\u3046\0\u040c\0\u3090\0\u30da"+
    "\0\u3124\0\u316e\0\u31b8\0\u3202\0\u324c\0\u3296\0\u32e0\0\u332a"+
    "\0\u2f68\0\u3374\0\u33be\0\u3408\0\u3452\0\u349c\0\u34e6\0\u3530"+
    "\0\u357a\0\u35c4\0\u360e\0\u3658\0\u36a2\0\u36ec\0\u3736\0\u3780"+
    "\0\u37ca\0\u3814\0\u385e\0\u38a8\0\u38f2\0\u393c\0\u3986\0\u39d0"+
    "\0\u3a1a\0\u3a64\0\u3aae\0\u3af8\0\u3b42\0\u3b8c\0\u3bd6\0\u3c20"+
    "\0\u3c6a\0\u3cb4\0\u3cfe\0\u3d48\0\u3d92\0\u3ddc\0\u3e26\0\u3e70"+
    "\0\u3eba\0\u3f04\0\u3f4e\0\u3f98\0\u3fe2\0\u402c\0\u4076\0\u40c0"+
    "\0\u410a\0\u4154\0\u419e\0\u41e8\0\u4232\0\u427c\0\u42c6\0\u4310"+
    "\0\u435a\0\u43a4\0\u43ee\0\u4438\0\u4482\0\u44cc\0\u4516\0\u4560"+
    "\0\u45aa\0\u45f4\0\u463e\0\u4688\0\u46d2\0\u471c\0\u4766\0\u47b0"+
    "\0\u47fa\0\u0172\0\u4844\0\u488e\0\u48d8\0\u4922\0\u496c\0\u49b6"+
    "\0\u4a00\0\u4a4a\0\u4a94\0\u4ade\0\u4b28\0\u4b72\0\u4bbc\0\u4c06"+
    "\0\u4c50\0\u4c9a\0\u4ce4\0\u4d2e\0\u4d78\0\u4dc2\0\u4e0c\0\u4e56"+
    "\0\u4ea0\0\u4eea\0\u4f34\0\u4f7e\0\u4fc8\0\u5012\0\u505c\0\u50a6"+
    "\0\u50f0\0\u513a\0\u5184\0\u51ce\0\u5218\0\u5262\0\u52ac\0\u52f6"+
    "\0\u5340\0\u538a\0\u53d4\0\u541e\0\u5468\0\u54b2\0\u54fc\0\u5546"+
    "\0\u5590\0\u55da\0\u5624\0\u566e\0\u56b8\0\u5702\0\u574c\0\u5796"+
    "\0\u57e0\0\u582a\0\u5874\0\u58be\0\u5908\0\u5952\0\u599c\0\u59e6"+
    "\0\u5a30\0\u5a7a\0\u5ac4\0\u5b0e\0\u5b58\0\u5ba2\0\u5bec\0\u5c36"+
    "\0\u5c80\0\u5cca\0\u5d14\0\u5d5e\0\u5da8\0\u5df2\0\u5e3c\0\u5e86"+
    "\0\u5ed0\0\u5f1a\0\u5f64\0\u5fae\0\u01bc\0\u5ff8\0\u6042\0\u608c"+
    "\0\u60d6\0\u6120\0\u616a\0\u61b4\0\u61fe\0\u6248\0\u6292\0\u62dc"+
    "\0\u6326\0\u6370\0\u63ba\0\u6404\0\u644e\0\u6498\0\u64e2\0\u652c"+
    "\0\u6576\0\u65c0\0\u496c\0\u660a\0\u0172\0\u6654\0\u669e\0\u66e8"+
    "\0\u6732\0\u677c\0\u67c6\0\u6810\0\u685a\0\u68a4\0\u68ee\0\u6938"+
    "\0\u6982\0\u69cc\0\u6a16\0\u6a60\0\u6aaa\0\u6af4\0\u6b3e\0\u6b88"+
    "\0\u6bd2\0\u6c1c\0\u6c66\0\u6cb0\0\u6cfa\0\u6d44\0\u6d8e\0\u6dd8"+
    "\0\u6e22\0\u6e6c\0\u6eb6\0\u6f00\0\u6f4a\0\u5340\0\u6f94\0\u6fde"+
    "\0\u7028\0\u7072\0\u70bc\0\u7106\0\u7150\0\u719a\0\u71e4\0\u722e"+
    "\0\u7278\0\u72c2\0\u730c\0\u7356\0\u73a0\0\u73ea\0\u7434\0\u747e"+
    "\0\u74c8\0\u7512\0\u755c\0\u75a6\0\u75f0\0\u763a\0\u7684\0\u76ce"+
    "\0\u7718\0\u7762\0\u77ac\0\u77f6\0\u7840\0\u788a\0\u78d4\0\u791e"+
    "\0\u7968\0\u79b2\0\u79fc\0\u7a46\0\u7a90\0\u7ada\0\u7b24\0\u7b6e"+
    "\0\u7bb8\0\u7c02\0\u7c4c\0\u7c96\0\u7ce0\0\u7d2a\0\u7d74\0\u7dbe"+
    "\0\u7e08\0\u7e52\0\u7e9c\0\u7ee6\0\u7f30\0\u7f7a\0\u7fc4\0\u800e"+
    "\0\u8058\0\u80a2\0\u80ec\0\u8136\0\u8180\0\u81ca\0\u8214\0\u825e"+
    "\0\u82a8\0\u82f2\0\u833c\0\u8386\0\u83d0\0\u841a\0\u0172\0\u8464"+
    "\0\u84ae\0\u84f8\0\u8542\0\u858c\0\u85d6\0\u8620\0\u866a\0\u86b4"+
    "\0\u86fe\0\u8748\0\u8792\0\u87dc\0\u8826\0\u8870\0\u88ba\0\u8904"+
    "\0\u894e\0\u8998\0\u89e2\0\u8a2c\0\u8a76\0\u8ac0\0\u8b0a\0\u8b54"+
    "\0\u0172\0\u6fde\0\u8b9e\0\u88ba\0\u7028\0\u7150\0\u8be8\0\u8c32"+
    "\0\u8c7c\0\u8cc6\0\u8d10\0\u8d5a\0\u8da4\0\u8dee\0\u8e38\0\u8e82"+
    "\0\u8ecc\0\u8f16\0\u8f60\0\u8faa\0\u8ff4\0\u903e\0\u9088\0\u90d2"+
    "\0\u911c\0\u9166\0\u91b0\0\u91fa\0\u9244\0\u928e\0\u92d8\0\u9322"+
    "\0\u936c\0\u93b6\0\u9400\0\u944a\0\u9494\0\u94de\0\u9528\0\u9572"+
    "\0\u95bc\0\u9606\0\u9650\0\u969a\0\u96e4\0\u972e\0\u9778\0\u97c2"+
    "\0\u980c\0\u9856\0\u98a0\0\u98ea\0\u9934\0\u997e\0\u99c8\0\u9a12"+
    "\0\u9a5c\0\u9aa6\0\u9af0\0\u9b3a\0\u9b84\0\u0172\0\u9bce\0\u9c18"+
    "\0\u9c62\0\u85d6\0\u9cac\0\u9cf6\0\u9d40\0\u9d8a\0\u9dd4\0\u9e1e"+
    "\0\u9e68\0\u9eb2\0\u9efc\0\u9f46\0\u9f90\0\u9fda\0\ua024\0\ua06e"+
    "\0\ua0b8\0\ua102\0\ua14c\0\ua196\0\ua1e0\0\ua22a\0\ua274\0\ua2be"+
    "\0\ua308\0\ua352\0\ua39c\0\ua3e6\0\ua430\0\ua47a\0\ua4c4\0\ua50e"+
    "\0\ua558\0\ua5a2\0\ua5ec\0\u0250\0\u029a\0\ua636\0\ua680\0\ua6ca"+
    "\0\ua714\0\u0172\0\ua75e\0\u9322\0\ua7a8\0\ua7f2\0\ua83c\0\ua886"+
    "\0\ua8d0\0\ua91a\0\ua964\0\u9606\0\ua9ae\0\ua9f8\0\uaa42\0\uaa8c"+
    "\0\uaad6\0\uab20\0\uab6a\0\uabb4\0\uabfe\0\uac48\0\u0456\0\u04ea"+
    "\0\uac92\0\uacdc\0\uad26\0\uad70\0\uadba\0\uae04\0\uae4e\0\uae98"+
    "\0\uaee2\0\uaf2c\0\uaf76\0\uafc0\0\ub00a\0\ub054\0\ub09e\0\ub0e8"+
    "\0\ub132\0\ub17c\0\ub1c6\0\ub210\0\ub25a\0\ub2a4\0\ub2ee\0\ub338"+
    "\0\ub382\0\ub3cc\0\ub416\0\ub460\0\ub4aa\0\ub4f4\0\ub53e\0\ub588"+
    "\0\ub5d2\0\ub61c\0\ub666\0\ub6b0\0\ub6fa\0\ub744\0\ub78e\0\ub7d8"+
    "\0\ub822\0\ub86c\0\ub8b6\0\ub900\0\ub94a\0\ub994\0\ub9de\0\uba28"+
    "\0\u0172\0\uba72\0\ubabc\0\u0172\0\ubb06\0\ubb50\0\ubb9a\0\ubbe4"+
    "\0\ubc2e\0\ubc78\0\ubcc2\0\ubd0c\0\ubd56\0\ubda0\0\ubdea\0\ube34"+
    "\0\ube7e\0\ubec8\0\ubf12\0\ubf5c\0\ubfa6\0\ubff0\0\uc03a\0\uc084"+
    "\0\uc0ce\0\uc118\0\uc162\0\uc1ac\0\uc1f6\0\uc240\0\uc28a\0\uc2d4"+
    "\0\uc31e\0\uc368\0\uc3b2\0\uc3fc\0\uc446\0\uc490\0\uc4da\0\uc524"+
    "\0\uc56e\0\uc5b8\0\uc602\0\uc64c\0\uc696\0\uc6e0\0\uc72a\0\uc774"+
    "\0\uc7be\0\uc808\0\uc852\0\uc89c\0\uc8e6\0\uc930\0\uc97a\0\uc9c4"+
    "\0\uca0e\0\ubfa6\0\uca58\0\u6fde\0\ucaa2\0\ucaec\0\ucb36\0\ucb80"+
    "\0\ucbca\0\ucc14\0\ucc5e\0\ucca8\0\uccf2\0\ucd3c\0\ucd86\0\ucdd0"+
    "\0\uce1a\0\uce64\0\uceae\0\ucef8\0\ucf42\0\ucf8c\0\ucfd6\0\ud020"+
    "\0\ud06a\0\ud0b4\0\ud0fe\0\ud148\0\ud192\0\ud1dc\0\ud226\0\ud270"+
    "\0\ud2ba\0\ud304\0\ud34e\0\ud398\0\ud3e2\0\ud42c\0\ud476\0\ud4c0"+
    "\0\ud50a\0\ud554\0\ud59e\0\ud5e8\0\ud632\0\ud67c\0\ud6c6\0\ud710"+
    "\0\ud75a\0\ud7a4\0\ud7ee\0\ud838\0\ud882\0\ud8cc\0\ud916\0\ud960"+
    "\0\ud9aa\0\ud9f4\0\uda3e\0\uda88\0\udad2\0\udb1c\0\udb66\0\udbb0"+
    "\0\udbfa\0\udc44\0\udc8e\0\udcd8\0\udd22\0\udd6c\0\uddb6\0\ude00"+
    "\0\ude4a\0\ude94\0\udede\0\udf28\0\udf72\0\udfbc\0\ue006\0\ue050"+
    "\0\ue09a\0\ue0e4\0\ue12e\0\ue178\0\ue1c2\0\ue20c\0\ue256\0\ue2a0"+
    "\0\ue2ea\0\ue334\0\ue37e\0\ue3c8\0\ue412\0\ue45c\0\ue4a6\0\ue4f0"+
    "\0\ue53a\0\ue584\0\ue5ce\0\ue618\0\ue662\0\ue6ac\0\ue6f6\0\ue740"+
    "\0\ue78a\0\ue7d4\0\ue81e\0\ue868\0\ue8b2\0\ue8fc\0\ue946\0\ue990"+
    "\0\ue9da\0\uea24\0\uea6e\0\ueab8\0\ueb02\0\ueb4c\0\ueb96\0\uebe0"+
    "\0\uec2a\0\uec74\0\uecbe\0\ued08\0\ued52\0\ued9c\0\uede6\0\uee30"+
    "\0\uee7a\0\ueec4\0\uef0e\0\uef58\0\uefa2\0\uefec\0\uf036\0\uf080"+
    "\0\uf0ca\0\uf114\0\uf15e\0\uf1a8\0\uf1f2\0\uf23c\0\uf286\0\uf2d0"+
    "\0\uf31a\0\uf364\0\uf3ae\0\uf3f8\0\uf442\0\uf48c\0\uf4d6\0\uf520"+
    "\0\uf56a\0\uf5b4\0\uf5fe\0\uf648\0\uf692\0\uf6dc\0\uf726\0\uf770"+
    "\0\uf7ba\0\uf804\0\uf84e\0\uf898\0\uf8e2\0\uf92c\0\uf976\0\uf9c0"+
    "\0\ufa0a\0\ufa54\0\ufa9e\0\ufae8\0\ufb32\0\ufb7c\0\ufbc6\0\ufc10"+
    "\0\ufc5a\0\ufca4\0\ufcee\0\ufd38\0\ufd82\0\ufdcc\0\ufe16\0\ufe60"+
    "\0\ufeaa\0\ufef4\0\uff3e\0\uff88\0\uffd2\1\34\1\146\1\260"+
    "\1\372\1\u0144\1\u018e\1\u01d8\1\u0222\1\u026c\1\u02b6\1\u0300"+
    "\1\u034a\1\u0394\1\u03de\1\u0428\1\u0472\1\u04bc\1\u0506\1\u0550"+
    "\1\u059a\1\u05e4\1\u062e\1\u0678\1\u06c2\1\u070c\1\u0756\1\u07a0"+
    "\1\u07ea\1\u0834\1\u087e\1\u08c8\1\u0912\1\u095c\1\u09a6\1\u09f0"+
    "\1\u0a3a\1\u0a84\1\u0ace\1\u0b18\1\u0b62\1\u0bac\1\u0bf6\1\u0c40"+
    "\1\u0c8a\1\u0cd4\1\u0d1e\1\u0d68\1\u0db2\1\u0dfc\1\u0e46\1\u0e90"+
    "\1\u0eda\1\u0f24\1\u0f6e\1\u0fb8\1\u1002\1\u104c\1\u1096\1\u10e0"+
    "\1\u112a\1\u1174\1\u11be\1\u1208\1\u1252\1\u129c\1\u12e6\1\u1330"+
    "\1\u137a\1\u13c4\1\u140e\1\u1458\1\u14a2\1\u14ec\1\u1536\1\u1580"+
    "\1\u15ca\1\u1614\1\u165e\1\u16a8\1\u16f2\1\u173c\1\u1786\1\u17d0"+
    "\1\u181a\1\u1864\1\u18ae\1\u18f8\1\u1942\1\u198c\1\u19d6\1\u1a20"+
    "\1\u1a6a\1\u1ab4\1\u1afe\1\u1b48\1\u1b92\1\u1bdc\1\u1c26\1\u1c70"+
    "\1\u1cba\1\u1d04\1\u1d4e\1\u1d98\1\u1de2\1\u1e2c\1\u1e76\1\u1ec0"+
    "\1\u1f0a\1\u1f54\1\u1f9e\1\u1fe8\1\u2032\1\u207c\1\u20c6\1\u2110"+
    "\1\u215a\1\u21a4\1\u21ee\1\u2238\1\u2282\1\u22cc\1\u2316\1\u2360"+
    "\1\u23aa\1\u23f4\1\u243e\1\u2488\1\u24d2\1\u251c\1\u2566\1\u25b0"+
    "\1\u25fa\1\u2644\1\u268e\1\u26d8\1\u2722\1\u276c\1\u27b6\1\u2800"+
    "\1\u284a\1\u2894\1\u28de\1\u2928\1\u2972\1\u29bc\1\u2a06\1\u2a50"+
    "\1\u26d8\1\u2a9a\0\u0172\1\u2ae4\1\u2b2e\1\u2b78\1\u2bc2\1\u2c0c"+
    "\1\u2c56\1\u2ca0\1\u2cea\1\u2d34\1\u2d7e\1\u2dc8\1\u2e12\1\u2e5c"+
    "\1\u2ea6\1\u2ef0\1\u2f3a\1\u2f84\1\u2fce\1\u3018\1\u3062\1\u30ac"+
    "\1\u30f6\1\u3140\1\u318a\1\u31d4\1\u321e\1\u3268\1\u32b2\1\u32fc"+
    "\1\u3346\1\u3390\1\u33da\1\u3424\1\u346e";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[1101];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\3\4\1\5\11\4\7\6\2\4\2\6\1\7\1\6"+
    "\1\10\2\6\1\11\7\6\1\12\1\13\5\6\1\14"+
    "\3\4\2\6\1\7\1\6\1\10\2\6\1\11\7\6"+
    "\1\12\1\13\5\6\4\4\54\15\1\16\35\15\30\17"+
    "\1\20\1\17\1\21\2\17\1\22\5\17\1\23\1\17"+
    "\1\24\1\25\1\17\1\26\11\17\1\20\1\17\1\21"+
    "\2\17\1\22\5\17\1\23\1\17\1\24\1\25\1\17"+
    "\1\26\7\17\30\0\1\27\1\0\1\30\2\0\1\31"+
    "\5\0\1\32\1\0\1\33\1\34\1\0\1\35\11\0"+
    "\1\36\1\0\1\30\2\0\1\31\5\0\1\32\1\0"+
    "\1\33\1\34\1\0\1\35\11\0\1\37\25\0\1\27"+
    "\1\0\1\30\2\0\1\31\5\0\1\32\1\0\1\33"+
    "\1\34\1\0\1\35\11\0\1\36\1\0\1\30\2\0"+
    "\1\31\5\0\1\32\1\0\1\33\1\34\1\0\1\35"+
    "\147\0\1\40\31\0\1\40\73\0\1\41\31\0\1\41"+
    "\43\0\1\42\31\0\1\42\77\0\1\43\31\0\1\43"+
    "\43\0\1\44\3\0\1\45\25\0\1\44\3\0\1\45"+
    "\16\0\1\45\32\0\1\27\1\0\1\30\2\0\1\31"+
    "\3\0\1\46\1\0\1\32\1\0\1\33\1\34\1\0"+
    "\1\35\11\0\1\36\1\0\1\30\2\0\1\31\3\0"+
    "\1\46\1\0\1\32\1\0\1\33\1\34\1\0\1\35"+
    "\23\0\1\47\76\0\3\50\1\0\1\51\4\0\2\52"+
    "\1\0\7\53\2\0\1\54\30\0\1\52\1\54\73\0"+
    "\1\55\31\0\1\55\43\0\1\56\31\0\1\56\32\0"+
    "\3\57\1\0\1\60\5\0\1\61\14\0\1\50\12\0"+
    "\2\62\1\0\1\62\1\0\1\50\1\63\10\0\1\50"+
    "\12\0\2\62\1\0\1\62\1\0\1\50\1\63\2\0"+
    "\1\57\51\0\1\64\31\0\1\64\43\0\1\65\3\0"+
    "\1\66\25\0\1\65\3\0\1\66\16\0\1\66\3\0"+
    "\3\50\1\0\1\51\4\0\2\52\1\0\7\53\33\0"+
    "\1\52\33\0\3\67\1\0\1\70\1\0\1\71\2\0"+
    "\1\72\1\73\1\0\7\74\2\0\1\75\30\0\1\72"+
    "\1\75\73\0\1\76\31\0\1\76\43\0\1\77\31\0"+
    "\1\77\32\0\3\100\1\0\1\101\5\0\1\102\14\0"+
    "\1\67\12\0\2\103\1\0\1\103\1\0\1\35\1\104"+
    "\10\0\1\105\12\0\2\103\1\0\1\103\1\0\1\35"+
    "\1\104\2\0\1\100\51\0\1\106\31\0\1\106\43\0"+
    "\1\107\3\0\1\110\25\0\1\107\3\0\1\110\16\0"+
    "\1\110\3\0\3\35\1\0\1\111\4\0\2\112\1\0"+
    "\7\113\33\0\1\112\33\0\3\35\1\0\1\111\4\0"+
    "\1\114\1\112\1\0\7\113\2\0\1\75\30\0\1\114"+
    "\1\75\100\0\1\115\1\0\1\116\27\0\1\115\1\0"+
    "\1\116\4\0\1\115\27\0\1\117\3\0\1\120\25\0"+
    "\1\117\3\0\1\120\26\0\3\121\1\0\1\122\150\0"+
    "\1\123\31\0\1\123\54\0\1\124\5\0\1\125\23\0"+
    "\1\124\5\0\1\125\6\0\1\125\31\0\1\126\31\0"+
    "\1\126\67\0\1\127\31\0\1\127\16\0\1\127\41\0"+
    "\1\130\31\0\1\130\61\0\1\131\31\0\1\131\15\0"+
    "\3\52\1\0\1\132\7\0\7\53\67\0\3\133\1\0"+
    "\1\134\6\0\1\135\7\53\2\0\1\136\25\0\1\137"+
    "\1\135\2\0\1\136\100\0\1\140\1\0\1\141\27\0"+
    "\1\140\1\0\1\141\4\0\1\140\27\0\1\142\3\0"+
    "\1\143\25\0\1\142\3\0\1\143\26\0\3\144\1\0"+
    "\1\145\105\0\3\57\1\0\1\60\22\0\1\50\17\0"+
    "\1\50\11\0\1\50\17\0\1\50\52\0\1\146\31\0"+
    "\1\146\15\0\3\57\1\0\1\60\22\0\1\50\17\0"+
    "\1\50\11\0\1\50\17\0\1\50\3\0\1\57\4\0"+
    "\3\57\1\0\1\60\5\0\1\57\14\0\1\50\17\0"+
    "\1\50\11\0\1\50\17\0\1\50\51\0\1\147\31\0"+
    "\1\147\61\0\1\150\31\0\1\150\54\0\1\151\5\0"+
    "\1\152\23\0\1\151\5\0\1\152\6\0\1\152\31\0"+
    "\1\153\31\0\1\153\30\0\3\67\1\0\1\70\4\0"+
    "\1\72\1\73\1\0\7\74\33\0\1\72\75\0\1\154"+
    "\31\0\1\154\22\0\1\155\6\0\1\156\1\157\1\160"+
    "\4\156\67\0\3\72\1\0\1\161\4\0\1\162\2\0"+
    "\7\74\33\0\1\162\33\0\3\73\1\0\1\163\7\0"+
    "\7\74\67\0\3\164\1\0\1\165\6\0\1\166\7\74"+
    "\2\0\1\167\25\0\1\170\1\166\2\0\1\167\100\0"+
    "\1\171\1\0\1\172\27\0\1\171\1\0\1\172\4\0"+
    "\1\171\27\0\1\173\3\0\1\174\25\0\1\173\3\0"+
    "\1\174\26\0\3\175\1\0\1\176\105\0\3\100\1\0"+
    "\1\101\22\0\1\67\17\0\1\35\11\0\1\105\17\0"+
    "\1\35\52\0\1\177\31\0\1\177\15\0\3\100\1\0"+
    "\1\101\22\0\1\67\17\0\1\35\11\0\1\105\17\0"+
    "\1\35\3\0\1\100\4\0\3\100\1\0\1\101\5\0"+
    "\1\100\14\0\1\67\17\0\1\35\11\0\1\105\17\0"+
    "\1\35\51\0\1\200\31\0\1\200\16\0\3\35\1\0"+
    "\1\111\4\0\1\114\1\112\1\0\7\113\33\0\1\114"+
    "\76\0\1\201\31\0\1\201\54\0\1\202\5\0\1\203"+
    "\23\0\1\202\5\0\1\203\6\0\1\203\31\0\1\204"+
    "\31\0\1\204\72\0\1\205\31\0\1\205\15\0\3\112"+
    "\1\0\1\206\7\0\7\113\67\0\3\207\1\0\1\210"+
    "\6\0\1\211\7\113\2\0\1\212\25\0\1\213\1\211"+
    "\2\0\1\212\32\0\3\112\1\0\1\206\7\0\7\74"+
    "\124\0\1\214\5\0\1\214\23\0\1\214\5\0\1\214"+
    "\10\0\1\214\51\0\1\215\31\0\1\215\6\0\1\215"+
    "\44\0\1\216\31\0\1\216\63\0\1\217\31\0\1\217"+
    "\6\0\1\217\2\0\3\121\1\0\1\122\24\0\1\220"+
    "\12\0\1\221\1\222\15\0\1\220\12\0\1\221\1\222"+
    "\54\0\1\223\31\0\1\223\44\0\1\224\11\0\1\225"+
    "\1\226\16\0\1\224\11\0\1\225\1\226\42\0\1\227"+
    "\31\0\1\227\57\0\1\230\3\0\1\230\3\0\1\230"+
    "\5\0\1\230\13\0\1\230\3\0\1\230\3\0\1\230"+
    "\5\0\1\230\14\0\3\214\1\0\1\231\5\0\1\214"+
    "\1\0\7\232\4\0\1\233\12\0\1\234\1\235\3\0"+
    "\1\233\11\0\1\233\12\0\1\234\1\235\3\0\1\233"+
    "\52\0\1\236\31\0\1\236\54\0\1\237\31\0\1\237"+
    "\16\0\1\237\27\0\1\240\31\0\1\240\73\0\1\241"+
    "\31\0\1\241\15\0\3\133\1\0\1\134\6\0\1\135"+
    "\11\0\1\136\25\0\1\137\1\135\2\0\1\136\74\0"+
    "\1\242\31\0\1\242\15\0\3\135\1\0\1\243\1\244"+
    "\6\0\1\245\1\246\1\247\4\245\131\0\1\250\31\0"+
    "\1\250\55\0\1\251\31\0\1\251\54\0\1\252\5\0"+
    "\1\252\23\0\1\252\5\0\1\252\10\0\1\252\51\0"+
    "\1\253\31\0\1\253\6\0\1\253\44\0\1\254\31\0"+
    "\1\254\63\0\1\255\31\0\1\255\6\0\1\255\2\0"+
    "\3\144\1\0\1\145\24\0\1\256\12\0\1\257\1\260"+
    "\15\0\1\256\12\0\1\257\1\260\54\0\1\261\31\0"+
    "\1\261\43\0\1\262\31\0\1\262\31\0\3\57\1\0"+
    "\1\60\5\0\1\57\14\0\1\50\1\0\1\263\15\0"+
    "\1\50\11\0\1\50\1\0\1\263\15\0\1\50\37\0"+
    "\1\264\11\0\1\265\1\266\16\0\1\264\11\0\1\265"+
    "\1\266\42\0\1\267\31\0\1\267\57\0\1\270\3\0"+
    "\1\270\3\0\1\270\5\0\1\270\13\0\1\270\3\0"+
    "\1\270\3\0\1\270\5\0\1\270\14\0\3\271\1\0"+
    "\1\272\5\0\1\252\30\0\1\273\1\0\1\274\2\0"+
    "\1\275\24\0\1\273\1\0\1\274\2\0\1\275\35\0"+
    "\1\276\31\0\1\276\45\0\7\156\103\0\7\277\103\0"+
    "\5\277\1\300\1\301\103\0\1\302\6\277\131\0\1\303"+
    "\31\0\1\303\15\0\3\162\1\0\1\304\4\0\1\162"+
    "\2\0\7\305\33\0\1\162\75\0\1\306\31\0\1\306"+
    "\15\0\3\164\1\0\1\165\6\0\1\166\11\0\1\167"+
    "\25\0\1\170\1\166\2\0\1\167\74\0\1\307\31\0"+
    "\1\307\15\0\3\166\1\0\1\310\1\311\6\0\1\312"+
    "\1\313\1\314\4\312\131\0\1\315\31\0\1\315\55\0"+
    "\1\316\31\0\1\316\54\0\1\317\5\0\1\317\23\0"+
    "\1\317\5\0\1\317\10\0\1\317\51\0\1\320\31\0"+
    "\1\320\6\0\1\320\44\0\1\321\31\0\1\321\63\0"+
    "\1\322\31\0\1\322\6\0\1\322\2\0\3\175\1\0"+
    "\1\176\24\0\1\30\12\0\1\323\1\324\15\0\1\30"+
    "\12\0\1\323\1\324\54\0\1\325\31\0\1\325\43\0"+
    "\1\326\31\0\1\326\31\0\3\100\1\0\1\101\5\0"+
    "\1\100\14\0\1\67\1\0\1\327\15\0\1\35\11\0"+
    "\1\105\1\0\1\327\15\0\1\35\37\0\1\330\11\0"+
    "\1\331\1\332\16\0\1\330\11\0\1\331\1\332\42\0"+
    "\1\333\31\0\1\333\57\0\1\334\3\0\1\334\3\0"+
    "\1\334\5\0\1\334\13\0\1\334\3\0\1\334\3\0"+
    "\1\334\5\0\1\334\14\0\3\317\1\0\1\335\5\0"+
    "\1\317\14\0\1\35\12\0\1\336\1\337\1\0\1\340"+
    "\1\0\1\35\1\341\10\0\1\35\12\0\1\336\1\337"+
    "\1\0\1\340\1\0\1\35\1\341\35\0\1\342\31\0"+
    "\1\342\73\0\1\343\31\0\1\343\15\0\3\207\1\0"+
    "\1\210\6\0\1\211\11\0\1\212\25\0\1\213\1\211"+
    "\2\0\1\212\74\0\1\344\31\0\1\344\15\0\3\211"+
    "\1\0\1\345\1\346\6\0\1\347\1\350\1\351\4\347"+
    "\131\0\1\352\31\0\1\352\55\0\1\353\31\0\1\353"+
    "\17\0\3\214\1\0\1\231\7\0\7\232\4\0\1\233"+
    "\12\0\1\234\4\0\1\233\11\0\1\233\12\0\1\234"+
    "\4\0\1\233\35\0\1\214\3\0\1\214\25\0\1\214"+
    "\3\0\1\214\53\0\1\354\31\0\1\354\100\0\1\125"+
    "\31\0\1\125\6\0\1\125\47\0\1\355\31\0\1\355"+
    "\43\0\1\217\31\0\1\217\54\0\1\356\31\0\1\356"+
    "\43\0\1\214\16\0\1\357\31\0\1\357\76\0\1\360"+
    "\31\0\1\360\57\0\1\361\31\0\1\361\56\0\1\362"+
    "\31\0\1\362\10\0\3\363\1\0\1\364\1\0\4\363"+
    "\41\0\1\365\2\0\1\363\75\0\1\366\31\0\1\366"+
    "\26\0\1\367\2\0\7\232\33\0\1\367\33\0\3\233"+
    "\1\0\1\370\4\0\2\371\1\0\7\372\33\0\1\371"+
    "\33\0\3\373\1\0\1\374\5\0\1\375\1\0\7\232"+
    "\4\0\1\233\12\0\2\376\1\0\1\376\1\0\1\233"+
    "\1\377\10\0\1\233\12\0\2\376\1\0\1\376\1\0"+
    "\1\233\1\377\2\0\1\373\51\0\1\u0100\31\0\1\u0100"+
    "\35\0\1\u0101\130\0\1\u0102\31\0\1\u0102\63\0\1\u0103"+
    "\31\0\1\u0103\6\0\1\u0103\30\0\1\u0104\31\0\1\u0104"+
    "\57\0\1\u0105\31\0\1\u0105\73\0\1\u0106\31\0\1\u0106"+
    "\31\0\7\245\103\0\7\u0107\103\0\5\u0107\1\u0108\1\u0109"+
    "\103\0\1\u010a\6\u0107\131\0\1\u010b\31\0\1\u010b\54\0"+
    "\1\u010c\31\0\1\u010c\16\0\1\u010c\1\0\3\271\1\0"+
    "\1\272\40\0\1\274\2\0\1\275\26\0\1\274\2\0"+
    "\1\275\34\0\1\252\3\0\1\252\25\0\1\252\3\0"+
    "\1\252\53\0\1\u010d\31\0\1\u010d\100\0\1\152\31\0"+
    "\1\152\6\0\1\152\47\0\1\u010e\31\0\1\u010e\43\0"+
    "\1\255\31\0\1\255\54\0\1\u010f\31\0\1\u010f\77\0"+
    "\1\u0110\31\0\1\u0110\6\0\1\u0110\47\0\1\u0111\31\0"+
    "\1\u0111\24\0\1\252\16\0\1\u0112\31\0\1\u0112\76\0"+
    "\1\u0113\31\0\1\u0113\57\0\1\u0114\31\0\1\u0114\56\0"+
    "\1\u0115\31\0\1\u0115\10\0\3\u0116\1\0\1\u0117\1\0"+
    "\4\u0116\41\0\1\u0118\2\0\1\u0116\75\0\1\u0119\31\0"+
    "\1\u0119\62\0\1\u011a\31\0\1\u011a\47\0\1\u011b\31\0"+
    "\1\u011b\16\0\1\u011b\45\0\1\u011c\31\0\1\u011c\63\0"+
    "\1\u011d\31\0\1\u011d\6\0\1\u011d\11\0\1\u011e\111\0"+
    "\1\u011e\10\0\3\156\76\0\1\u011e\4\0\7\156\76\0"+
    "\1\u011e\4\0\3\156\121\0\1\u011f\31\0\1\u011f\73\0"+
    "\1\u0120\31\0\1\u0120\15\0\3\u0121\1\0\1\u0122\6\0"+
    "\1\u0123\7\305\2\0\1\u0124\25\0\1\u0125\1\u0123\2\0"+
    "\1\u0124\60\0\1\u0126\31\0\1\u0126\57\0\1\u0127\31\0"+
    "\1\u0127\73\0\1\u0128\31\0\1\u0128\31\0\7\312\103\0"+
    "\7\u0129\103\0\5\u0129\1\u012a\1\u012b\103\0\1\u012c\6\u0129"+
    "\131\0\1\u012d\31\0\1\u012d\54\0\1\u012e\31\0\1\u012e"+
    "\16\0\1\u012e\1\0\3\317\1\0\1\335\22\0\1\35"+
    "\12\0\1\336\2\0\1\340\1\0\1\35\1\341\10\0"+
    "\1\35\12\0\1\336\2\0\1\340\1\0\1\35\1\341"+
    "\34\0\1\317\3\0\1\317\25\0\1\317\3\0\1\317"+
    "\53\0\1\u012f\31\0\1\u012f\100\0\1\203\31\0\1\203"+
    "\6\0\1\203\47\0\1\u0130\31\0\1\u0130\43\0\1\322"+
    "\31\0\1\322\54\0\1\u0131\31\0\1\u0131\77\0\1\u0132"+
    "\31\0\1\u0132\6\0\1\u0132\47\0\1\u0133\31\0\1\u0133"+
    "\24\0\1\317\16\0\1\u0134\31\0\1\u0134\76\0\1\u0135"+
    "\31\0\1\u0135\57\0\1\u0136\31\0\1\u0136\56\0\1\u0137"+
    "\31\0\1\u0137\10\0\3\u0138\1\0\1\u0139\1\0\4\u0138"+
    "\41\0\1\u013a\2\0\1\u0138\75\0\1\u013b\31\0\1\u013b"+
    "\15\0\3\u013c\1\0\1\u013d\5\0\1\u013e\14\0\1\35"+
    "\12\0\2\u013f\1\0\1\u013f\1\0\1\35\1\u0140\10\0"+
    "\1\35\12\0\2\u013f\1\0\1\u013f\1\0\1\35\1\u0140"+
    "\2\0\1\u013c\51\0\1\u0141\31\0\1\u0141\47\0\1\u0142"+
    "\31\0\1\u0142\16\0\1\u0142\45\0\1\u0143\31\0\1\u0143"+
    "\63\0\1\u0144\31\0\1\u0144\6\0\1\u0144\30\0\1\u0145"+
    "\31\0\1\u0145\57\0\1\u0146\31\0\1\u0146\73\0\1\u0147"+
    "\31\0\1\u0147\31\0\7\347\103\0\7\u0148\103\0\5\u0148"+
    "\1\u0149\1\u014a\103\0\1\u014b\6\u0148\131\0\1\u014c\31\0"+
    "\1\u014c\54\0\1\u014d\31\0\1\u014d\16\0\1\u014d\50\0"+
    "\1\125\31\0\1\125\53\0\1\u014e\31\0\1\u014e\62\0"+
    "\1\u014f\31\0\1\u014f\6\0\1\u014f\32\0\1\u0150\15\0"+
    "\1\u0151\13\0\1\u0150\15\0\1\u0151\6\0\1\u0151\42\0"+
    "\1\u0152\31\0\1\u0152\61\0\1\u0153\31\0\1\u0153\52\0"+
    "\1\u0154\31\0\1\u0154\16\0\1\u0154\3\0\3\363\1\0"+
    "\1\364\1\0\4\363\15\0\1\u0155\14\0\1\u0156\1\u0157"+
    "\5\0\1\365\2\0\1\363\2\0\1\u0155\14\0\1\u0156"+
    "\1\u0157\54\0\1\u0158\31\0\1\u0158\55\0\1\u0159\31\0"+
    "\1\u0159\45\0\1\u015a\31\0\1\u015a\56\0\1\u015b\126\0"+
    "\1\u015c\31\0\1\u015c\15\0\3\371\1\0\1\u015d\7\0"+
    "\7\372\67\0\3\u015e\1\0\1\u015f\6\0\1\u0160\7\372"+
    "\2\0\1\u0161\25\0\1\u0162\1\u0160\2\0\1\u0161\32\0"+
    "\3\373\1\0\1\374\7\0\7\232\4\0\1\233\17\0"+
    "\1\233\11\0\1\233\17\0\1\233\52\0\1\u0163\31\0"+
    "\1\u0163\15\0\3\373\1\0\1\374\7\0\7\232\4\0"+
    "\1\233\17\0\1\233\11\0\1\233\17\0\1\233\3\0"+
    "\1\373\4\0\3\373\1\0\1\374\5\0\1\373\1\0"+
    "\7\232\4\0\1\233\17\0\1\233\11\0\1\233\17\0"+
    "\1\233\51\0\1\u0164\31\0\1\u0164\63\0\1\u0165\1\115"+
    "\30\0\1\u0165\1\115\6\0\1\115\27\0\26\u0166\3\0"+
    "\1\u0166\77\0\1\u0167\31\0\1\u0167\61\0\1\u0168\31\0"+
    "\1\u0168\6\0\1\u0168\50\0\1\u0169\31\0\1\u0169\6\0"+
    "\1\u0169\30\0\1\u016a\31\0\1\u016a\31\0\3\u016b\1\0"+
    "\1\u016c\37\0\1\u016d\31\0\1\u016d\13\0\3\u016b\1\0"+
    "\1\u016c\13\0\3\245\21\0\1\u016d\31\0\1\u016d\13\0"+
    "\3\u016b\1\0\1\u016c\7\0\7\245\21\0\1\u016d\31\0"+
    "\1\u016d\13\0\3\u016b\1\0\1\u016c\7\0\3\245\25\0"+
    "\1\u016d\31\0\1\u016d\50\0\1\135\5\0\1\135\23\0"+
    "\1\135\5\0\1\135\10\0\1\135\45\0\1\u016e\31\0"+
    "\1\u016e\64\0\1\152\31\0\1\152\53\0\1\u016f\31\0"+
    "\1\u016f\62\0\1\u0170\31\0\1\u0170\6\0\1\u0170\46\0"+
    "\1\u0171\31\0\1\u0171\50\0\1\57\5\0\1\57\23\0"+
    "\1\57\5\0\1\57\10\0\1\57\33\0\1\u0172\15\0"+
    "\1\u0173\13\0\1\u0172\15\0\1\u0173\6\0\1\u0173\42\0"+
    "\1\u0174\31\0\1\u0174\61\0\1\u0175\31\0\1\u0175\52\0"+
    "\1\u0176\31\0\1\u0176\16\0\1\u0176\3\0\3\u0116\1\0"+
    "\1\u0117\1\0\4\u0116\15\0\1\u0177\14\0\1\u0178\1\u0179"+
    "\5\0\1\u0118\2\0\1\u0116\2\0\1\u0177\14\0\1\u0178"+
    "\1\u0179\54\0\1\u017a\31\0\1\u017a\55\0\1\u017b\31\0"+
    "\1\u017b\45\0\1\u017c\31\0\1\u017c\76\0\1\u017d\1\140"+
    "\30\0\1\u017d\1\140\6\0\1\140\52\0\1\275\31\0"+
    "\1\275\44\0\1\u017e\31\0\1\u017e\16\0\1\u017e\47\0"+
    "\1\u017f\31\0\1\u017f\27\0\7\u0180\135\0\1\u0181\31\0"+
    "\1\u0181\6\0\1\u0181\30\0\1\u0182\31\0\1\u0182\31\0"+
    "\3\u0121\1\0\1\u0122\6\0\1\u0123\11\0\1\u0124\25\0"+
    "\1\u0125\1\u0123\2\0\1\u0124\74\0\1\u0183\31\0\1\u0183"+
    "\15\0\3\u0123\1\0\1\u0184\1\u0185\6\0\1\u0186\1\u0187"+
    "\1\u0188\4\u0186\131\0\1\u0189\31\0\1\u0189\55\0\1\u018a"+
    "\31\0\1\u018a\65\0\1\u018b\31\0\1\u018b\6\0\1\u018b"+
    "\50\0\1\u018c\31\0\1\u018c\6\0\1\u018c\30\0\1\u018d"+
    "\31\0\1\u018d\31\0\3\u018e\1\0\1\u018f\3\0\1\u0190"+
    "\1\u0191\15\0\1\u0192\12\0\1\u0193\1\0\1\u0194\2\0"+
    "\1\u0192\3\0\1\u0195\2\0\1\u0191\2\0\1\u0192\12\0"+
    "\1\u0193\1\0\1\u0194\2\0\1\u0192\10\0\3\u018e\1\0"+
    "\1\u018f\3\0\1\u0190\1\u0191\6\0\3\312\4\0\1\u0192"+
    "\12\0\1\u0193\1\0\1\u0194\2\0\1\u0192\3\0\1\u0195"+
    "\2\0\1\u0191\2\0\1\u0192\12\0\1\u0193\1\0\1\u0194"+
    "\2\0\1\u0192\10\0\3\u018e\1\0\1\u018f\3\0\1\u0190"+
    "\1\u0191\2\0\7\312\4\0\1\u0192\12\0\1\u0193\1\0"+
    "\1\u0194\2\0\1\u0192\3\0\1\u0195\2\0\1\u0191\2\0"+
    "\1\u0192\12\0\1\u0193\1\0\1\u0194\2\0\1\u0192\10\0"+
    "\3\u018e\1\0\1\u018f\3\0\1\u0190\1\u0191\2\0\3\312"+
    "\10\0\1\u0192\12\0\1\u0193\1\0\1\u0194\2\0\1\u0192"+
    "\3\0\1\u0195\2\0\1\u0191\2\0\1\u0192\12\0\1\u0193"+
    "\1\0\1\u0194\2\0\1\u0192\45\0\1\166\5\0\1\166"+
    "\23\0\1\166\5\0\1\166\10\0\1\166\45\0\1\u0196"+
    "\31\0\1\u0196\64\0\1\203\31\0\1\203\53\0\1\u0197"+
    "\31\0\1\u0197\62\0\1\u0198\31\0\1\u0198\6\0\1\u0198"+
    "\46\0\1\u0199\31\0\1\u0199\50\0\1\100\5\0\1\100"+
    "\23\0\1\100\5\0\1\100\10\0\1\100\33\0\1\u019a"+
    "\15\0\1\u019b\13\0\1\u019a\15\0\1\u019b\6\0\1\u019b"+
    "\42\0\1\u019c\31\0\1\u019c\61\0\1\u019d\31\0\1\u019d"+
    "\52\0\1\u019e\31\0\1\u019e\16\0\1\u019e\3\0\3\u0138"+
    "\1\0\1\u0139\1\0\4\u0138\15\0\1\u019f\14\0\1\u01a0"+
    "\1\u01a1\5\0\1\u013a\2\0\1\u0138\2\0\1\u019f\14\0"+
    "\1\u01a0\1\u01a1\54\0\1\u01a2\31\0\1\u01a2\55\0\1\u01a3"+
    "\31\0\1\u01a3\45\0\1\u01a4\31\0\1\u01a4\31\0\3\u013c"+
    "\1\0\1\u013d\22\0\1\35\17\0\1\35\11\0\1\35"+
    "\17\0\1\35\52\0\1\u01a5\31\0\1\u01a5\15\0\3\u013c"+
    "\1\0\1\u013d\22\0\1\35\17\0\1\35\11\0\1\35"+
    "\17\0\1\35\3\0\1\u013c\4\0\3\u013c\1\0\1\u013d"+
    "\5\0\1\u013c\14\0\1\35\17\0\1\35\11\0\1\35"+
    "\17\0\1\35\51\0\1\u01a6\31\0\1\u01a6\63\0\1\u01a7"+
    "\1\171\30\0\1\u01a7\1\171\6\0\1\171\52\0\1\341"+
    "\31\0\1\341\44\0\1\u01a8\31\0\1\u01a8\16\0\1\u01a8"+
    "\47\0\1\u01a9\31\0\1\u01a9\61\0\1\u01aa\31\0\1\u01aa"+
    "\6\0\1\u01aa\50\0\1\u01ab\31\0\1\u01ab\6\0\1\u01ab"+
    "\30\0\1\u01ac\31\0\1\u01ac\31\0\3\u0148\1\0\1\u01ad"+
    "\3\0\1\u0190\1\u0191\15\0\1\u0192\12\0\1\u0193\1\0"+
    "\1\u0190\2\0\1\u0192\3\0\1\u0195\2\0\1\u0191\2\0"+
    "\1\u0192\12\0\1\u0193\1\0\1\u0190\2\0\1\u0192\10\0"+
    "\3\u0148\1\0\1\u01ad\3\0\1\u0190\1\u0191\6\0\3\347"+
    "\4\0\1\u0192\12\0\1\u0193\1\0\1\u0190\2\0\1\u0192"+
    "\3\0\1\u0195\2\0\1\u0191\2\0\1\u0192\12\0\1\u0193"+
    "\1\0\1\u0190\2\0\1\u0192\10\0\3\u0148\1\0\1\u01ad"+
    "\3\0\1\u0190\1\u0191\2\0\7\347\4\0\1\u0192\12\0"+
    "\1\u0193\1\0\1\u0190\2\0\1\u0192\3\0\1\u0195\2\0"+
    "\1\u0191\2\0\1\u0192\12\0\1\u0193\1\0\1\u0190\2\0"+
    "\1\u0192\10\0\3\u0148\1\0\1\u01ad\3\0\1\u0190\1\u0191"+
    "\2\0\3\347\10\0\1\u0192\12\0\1\u0193\1\0\1\u0190"+
    "\2\0\1\u0192\3\0\1\u0195\2\0\1\u0191\2\0\1\u0192"+
    "\12\0\1\u0193\1\0\1\u0190\2\0\1\u0192\45\0\1\211"+
    "\5\0\1\211\23\0\1\211\5\0\1\211\10\0\1\211"+
    "\45\0\1\u01ae\31\0\1\u01ae\56\0\1\225\1\226\30\0"+
    "\1\225\1\226\61\0\1\u01af\31\0\1\u01af\50\0\1\u01b0"+
    "\31\0\1\u01b0\16\0\1\u01b0\51\0\1\115\31\0\1\115"+
    "\6\0\1\115\35\0\1\216\31\0\1\216\53\0\1\u01b1"+
    "\31\0\1\u01b1\101\0\1\u01b2\31\0\1\u01b2\53\0\1\u01b3"+
    "\31\0\1\u01b3\47\0\1\45\31\0\1\45\16\0\1\45"+
    "\31\0\1\u01b4\31\0\1\u01b4\70\0\1\u01b5\31\0\1\u01b5"+
    "\16\0\1\u01b5\47\0\1\u01b6\31\0\1\u01b6\6\0\1\u01b6"+
    "\15\0\1\u01b7\11\0\1\u01b8\25\0\1\u01b9\1\u01b7\2\0"+
    "\1\u01b8\60\0\1\u01ba\31\0\1\u01ba\73\0\1\u01bb\31\0"+
    "\1\u01bb\15\0\3\u015e\1\0\1\u015f\6\0\1\u0160\11\0"+
    "\1\u0161\25\0\1\u0162\1\u0160\2\0\1\u0161\74\0\1\u01bc"+
    "\31\0\1\u01bc\15\0\3\u0160\1\0\1\u01bd\1\u01be\6\0"+
    "\1\u01bf\1\u01c0\1\u01c1\4\u01bf\131\0\1\u01c2\31\0\1\u01c2"+
    "\55\0\1\u01c3\31\0\1\u01c3\45\0\1\u01c4\31\0\1\u01c4"+
    "\31\0\3\373\1\0\1\374\5\0\1\373\1\0\7\232"+
    "\4\0\1\233\1\0\1\u01c5\15\0\1\233\11\0\1\233"+
    "\1\0\1\u01c5\15\0\1\233\41\0\1\u01c6\31\0\1\u01c6"+
    "\51\0\1\u01c7\1\0\26\u0166\3\0\1\u0166\57\0\1\50"+
    "\131\0\1\u01c8\31\0\1\u01c8\57\0\1\u01c9\31\0\1\u01c9"+
    "\61\0\1\u01ca\31\0\1\u01ca\6\0\1\u01ca\44\0\1\u01cb"+
    "\31\0\1\u01cb\40\0\1\u01cc\127\0\1\265\1\266\30\0"+
    "\1\265\1\266\61\0\1\u01cd\31\0\1\u01cd\37\0\1\57"+
    "\122\0\1\u01ce\31\0\1\u01ce\16\0\1\u01ce\51\0\1\140"+
    "\31\0\1\140\6\0\1\140\35\0\1\254\31\0\1\254"+
    "\53\0\1\u01cf\31\0\1\u01cf\101\0\1\u01d0\31\0\1\u01d0"+
    "\33\0\1\54\31\0\1\54\77\0\1\u01d1\31\0\1\u01d1"+
    "\47\0\1\66\31\0\1\66\16\0\1\66\31\0\1\u01d2"+
    "\31\0\1\u01d2\70\0\1\u01d3\31\0\1\u01d3\16\0\1\u01d3"+
    "\47\0\1\u01d4\31\0\1\u01d4\6\0\1\u01d4\33\0\1\u01d5"+
    "\31\0\1\u01d5\75\0\1\u01d6\31\0\1\u01d6\34\0\1\67"+
    "\64\0\3\u01d7\1\u01d8\11\u01d7\7\u0180\2\u01d7\26\0\4\u01d7"+
    "\26\0\4\u01d7\45\0\1\u01d9\31\0\1\u01d9\61\0\1\u01da"+
    "\31\0\1\u01da\6\0\1\u01da\30\0\1\u01db\31\0\1\u01db"+
    "\73\0\1\u01dc\31\0\1\u01dc\31\0\7\u0186\103\0\7\u01dd"+
    "\103\0\5\u01dd\1\u01de\1\u01df\103\0\1\u01e0\6\u01dd\131\0"+
    "\1\u01e1\31\0\1\u01e1\54\0\1\u01e2\31\0\1\u01e2\16\0"+
    "\1\u01e2\45\0\1\u01e3\31\0\1\u01e3\57\0\1\u01e4\31\0"+
    "\1\u01e4\61\0\1\u01e5\31\0\1\u01e5\6\0\1\u01e5\44\0"+
    "\1\u01e6\31\0\1\u01e6\15\0\3\u0190\1\0\1\u01e7\3\0"+
    "\1\u0190\1\u0191\15\0\1\u0192\12\0\1\u0193\4\0\1\u0192"+
    "\3\0\1\u0195\2\0\1\u0191\2\0\1\u0192\12\0\1\u0193"+
    "\4\0\1\u0192\10\0\3\u0191\1\0\1\u01e8\3\0\2\u0191"+
    "\15\0\1\u0192\12\0\1\u0193\4\0\1\u0192\6\0\1\u0191"+
    "\2\0\1\u0192\12\0\1\u0193\4\0\1\u0192\10\0\3\u0192"+
    "\1\0\1\u01e9\4\0\2\u01ea\1\0\7\u01eb\33\0\1\u01ea"+
    "\33\0\3\u01ec\1\0\1\u01ed\5\0\1\u01ee\14\0\1\u0192"+
    "\12\0\2\u01ef\1\0\1\u01ef\1\0\1\u0192\1\u01f0\10\0"+
    "\1\u0192\12\0\2\u01ef\1\0\1\u01ef\1\0\1\u0192\1\u01f0"+
    "\2\0\1\u01ec\3\0\1\u01f1\2\u01f2\1\u01f3\1\u01f1\1\u01f4"+
    "\3\u01f1\1\u01f2\1\u01f5\2\u01f1\7\0\2\u01f1\2\0\1\u0192"+
    "\12\0\1\u0193\4\0\1\u0192\3\0\1\u01f6\2\u01f1\1\u01f5"+
    "\2\0\1\u0192\12\0\1\u0193\4\0\1\u0192\3\0\4\u01f1"+
    "\41\0\1\u01f7\31\0\1\u01f7\42\0\1\u01f8\127\0\1\331"+
    "\1\332\30\0\1\331\1\332\61\0\1\u01f9\31\0\1\u01f9"+
    "\37\0\1\100\122\0\1\u01fa\31\0\1\u01fa\16\0\1\u01fa"+
    "\51\0\1\171\31\0\1\171\6\0\1\171\35\0\1\321"+
    "\31\0\1\321\53\0\1\u01fb\31\0\1\u01fb\101\0\1\u01fc"+
    "\31\0\1\u01fc\33\0\1\75\31\0\1\75\77\0\1\u01fd"+
    "\31\0\1\u01fd\47\0\1\110\31\0\1\110\16\0\1\110"+
    "\31\0\1\u01fe\31\0\1\u01fe\70\0\1\u01ff\31\0\1\u01ff"+
    "\16\0\1\u01ff\47\0\1\u0200\31\0\1\u0200\6\0\1\u0200"+
    "\30\0\1\u0201\31\0\1\u0201\31\0\3\u013c\1\0\1\u013d"+
    "\5\0\1\u013c\14\0\1\35\1\0\1\u0202\15\0\1\35"+
    "\11\0\1\35\1\0\1\u0202\15\0\1\35\41\0\1\u0203"+
    "\31\0\1\u0203\75\0\1\u0204\31\0\1\u0204\34\0\1\35"+
    "\131\0\1\u0205\31\0\1\u0205\57\0\1\u0206\31\0\1\u0206"+
    "\61\0\1\u0207\31\0\1\u0207\6\0\1\u0207\44\0\1\u0208"+
    "\31\0\1\u0208\40\0\1\u0209\112\0\1\121\126\0\1\u020a"+
    "\31\0\1\u020a\53\0\1\216\31\0\1\216\16\0\1\216"+
    "\30\0\1\u020b\3\0\1\u020b\3\0\1\u020b\5\0\1\u020b"+
    "\13\0\1\u020b\3\0\1\u020b\3\0\1\u020b\5\0\1\u020b"+
    "\57\0\1\u020c\31\0\1\u020c\62\0\1\u020d\31\0\1\u020d"+
    "\6\0\1\u020d\44\0\1\u020e\31\0\1\u020e\61\0\1\u020f"+
    "\31\0\1\u020f\20\0\1\u0210\6\0\1\u0211\1\u0212\1\u0213"+
    "\4\u0211\131\0\1\u0214\31\0\1\u0214\55\0\1\u0215\31\0"+
    "\1\u0215\65\0\1\u0216\31\0\1\u0216\6\0\1\u0216\30\0"+
    "\1\u0217\31\0\1\u0217\57\0\1\u0218\31\0\1\u0218\73\0"+
    "\1\u0219\31\0\1\u0219\31\0\7\u01bf\103\0\7\u021a\103\0"+
    "\5\u021a\1\u021b\1\u021c\103\0\1\u021d\6\u021a\131\0\1\u021e"+
    "\31\0\1\u021e\54\0\1\u021f\31\0\1\u021f\16\0\1\u021f"+
    "\47\0\1\u0220\31\0\1\u0220\6\0\1\u0220\47\0\1\u0221"+
    "\31\0\1\u0221\54\0\1\u0222\31\0\1\u0222\14\0\2\u01c7"+
    "\3\0\17\u01c7\1\u0223\27\u01c7\1\0\1\u01c7\1\0\33\u01c7"+
    "\25\0\1\52\111\0\1\133\131\0\1\u0224\31\0\1\u0224"+
    "\41\0\1\u0225\31\0\1\u0225\77\0\1\u0226\31\0\1\u0226"+
    "\6\0\1\u0226\26\0\1\144\126\0\1\u0227\31\0\1\u0227"+
    "\53\0\1\254\31\0\1\254\16\0\1\254\30\0\1\u0228"+
    "\3\0\1\u0228\3\0\1\u0228\5\0\1\u0228\13\0\1\u0228"+
    "\3\0\1\u0228\3\0\1\u0228\5\0\1\u0228\57\0\1\u0229"+
    "\31\0\1\u0229\62\0\1\u022a\31\0\1\u022a\6\0\1\u022a"+
    "\44\0\1\u022b\31\0\1\u022b\61\0\1\u022c\31\0\1\u022c"+
    "\55\0\1\u022d\31\0\1\u022d\46\0\1\u022e\3\0\1\u022e"+
    "\25\0\1\u022e\3\0\1\u022e\23\0\1\u01d7\134\0\1\72"+
    "\131\0\1\u022f\31\0\1\u022f\61\0\1\u0230\31\0\1\u0230"+
    "\6\0\1\u0230\30\0\1\u0231\31\0\1\u0231\31\0\3\u0232"+
    "\1\0\1\u0233\37\0\1\u0234\31\0\1\u0234\13\0\3\u0232"+
    "\1\0\1\u0233\13\0\3\u0186\21\0\1\u0234\31\0\1\u0234"+
    "\13\0\3\u0232\1\0\1\u0233\7\0\7\u0186\21\0\1\u0234"+
    "\31\0\1\u0234\13\0\3\u0232\1\0\1\u0233\7\0\3\u0186"+
    "\25\0\1\u0234\31\0\1\u0234\50\0\1\u0123\5\0\1\u0123"+
    "\23\0\1\u0123\5\0\1\u0123\10\0\1\u0123\45\0\1\u0235"+
    "\31\0\1\u0235\41\0\1\73\111\0\1\164\131\0\1\u0236"+
    "\31\0\1\u0236\41\0\1\u0237\31\0\1\u0237\73\0\1\u0238"+
    "\31\0\1\u0238\57\0\1\u0239\31\0\1\u0239\57\0\1\u023a"+
    "\31\0\1\u023a\15\0\3\u01ea\1\0\1\u023b\7\0\7\u01eb"+
    "\67\0\3\u023c\1\0\1\u023d\6\0\1\u023e\7\u01eb\2\0"+
    "\1\u023f\25\0\1\u0240\1\u023e\2\0\1\u023f\32\0\3\u01ec"+
    "\1\0\1\u01ed\22\0\1\u0192\17\0\1\u0192\11\0\1\u0192"+
    "\17\0\1\u0192\52\0\1\u0241\31\0\1\u0241\15\0\3\u01ec"+
    "\1\0\1\u01ed\22\0\1\u0192\17\0\1\u0192\11\0\1\u0192"+
    "\17\0\1\u0192\3\0\1\u01ec\4\0\3\u01ec\1\0\1\u01ed"+
    "\5\0\1\u01ec\14\0\1\u0192\17\0\1\u0192\11\0\1\u0192"+
    "\17\0\1\u0192\51\0\1\u0242\31\0\1\u0242\16\0\1\u0190"+
    "\1\u01f2\1\u0190\1\0\1\u01e7\3\0\1\u0190\1\u0191\15\0"+
    "\1\u0192\12\0\1\u0193\4\0\1\u0192\3\0\1\u0195\2\0"+
    "\1\u0191\2\0\1\u0192\12\0\1\u0193\4\0\1\u0192\47\0"+
    "\1\u0243\31\0\1\u0243\16\0\1\u0243\47\0\1\u0244\31\0"+
    "\1\u0244\6\0\1\u0244\26\0\1\175\126\0\1\u0245\31\0"+
    "\1\u0245\53\0\1\321\31\0\1\321\16\0\1\321\30\0"+
    "\1\u0246\3\0\1\u0246\3\0\1\u0246\5\0\1\u0246\13\0"+
    "\1\u0246\3\0\1\u0246\3\0\1\u0246\5\0\1\u0246\57\0"+
    "\1\u0247\31\0\1\u0247\62\0\1\u0248\31\0\1\u0248\6\0"+
    "\1\u0248\44\0\1\u0249\31\0\1\u0249\61\0\1\u024a\31\0"+
    "\1\u024a\61\0\1\u024b\31\0\1\u024b\6\0\1\u024b\47\0"+
    "\1\u024c\31\0\1\u024c\54\0\1\u024d\31\0\1\u024d\46\0"+
    "\1\u024e\3\0\1\u024e\25\0\1\u024e\3\0\1\u024e\46\0"+
    "\1\112\111\0\1\207\131\0\1\u024f\31\0\1\u024f\41\0"+
    "\1\u0250\31\0\1\u0250\77\0\1\u0251\31\0\1\u0251\6\0"+
    "\1\u0251\33\0\1\u0252\31\0\1\u0252\26\0\3\u020b\1\0"+
    "\1\u0253\1\0\4\u020b\15\0\1\u0155\1\0\1\220\2\0"+
    "\1\u0254\7\0\1\u0255\1\u0256\5\0\1\u0257\2\0\1\u020b"+
    "\2\0\1\u0155\1\0\1\220\2\0\1\u0254\7\0\1\u0255"+
    "\1\u0256\41\0\1\224\31\0\1\224\74\0\1\u0258\31\0"+
    "\1\u0258\36\0\1\u0259\112\0\1\214\101\0\7\u0211\103\0"+
    "\7\u025a\103\0\5\u025a\1\u025b\1\u025c\103\0\1\u025d\6\u025a"+
    "\131\0\1\u025e\31\0\1\u025e\54\0\1\u025f\31\0\1\u025f"+
    "\16\0\1\u025f\45\0\1\u0260\31\0\1\u0260\61\0\1\u0261"+
    "\31\0\1\u0261\6\0\1\u0261\50\0\1\u0262\31\0\1\u0262"+
    "\6\0\1\u0262\30\0\1\u0263\31\0\1\u0263\31\0\3\u0264"+
    "\1\0\1\u0265\37\0\1\u0266\31\0\1\u0266\13\0\3\u0264"+
    "\1\0\1\u0265\13\0\3\u01bf\21\0\1\u0266\31\0\1\u0266"+
    "\13\0\3\u0264\1\0\1\u0265\7\0\7\u01bf\21\0\1\u0266"+
    "\31\0\1\u0266\13\0\3\u0264\1\0\1\u0265\7\0\3\u01bf"+
    "\25\0\1\u0266\31\0\1\u0266\50\0\1\u0160\5\0\1\u0160"+
    "\23\0\1\u0160\5\0\1\u0160\10\0\1\u0160\45\0\1\u0267"+
    "\31\0\1\u0267\61\0\1\u0268\31\0\1\u0268\50\0\1\373"+
    "\5\0\1\373\23\0\1\373\5\0\1\373\10\0\1\373"+
    "\52\0\1\u0269\31\0\1\u0269\24\0\7\u026a\113\0\1\135"+
    "\133\0\1\u026b\31\0\1\u026b\6\0\1\u026b\51\0\1\u026c"+
    "\31\0\1\u026c\41\0\1\u026d\31\0\1\u026d\26\0\3\u0228"+
    "\1\0\1\u026e\1\0\4\u0228\15\0\1\u0177\1\0\1\256"+
    "\2\0\1\u026f\7\0\1\u0270\1\u0271\5\0\1\u0272\2\0"+
    "\1\u0228\2\0\1\u0177\1\0\1\256\2\0\1\u026f\7\0"+
    "\1\u0270\1\u0271\41\0\1\264\31\0\1\264\74\0\1\u0273"+
    "\31\0\1\u0273\36\0\1\u0274\112\0\1\271\134\0\1\u0275"+
    "\31\0\1\u0275\34\0\1\162\131\0\1\u0276\31\0\1\u0276"+
    "\61\0\1\u0277\31\0\1\u0277\6\0\1\u0277\44\0\1\u0278"+
    "\31\0\1\u0278\14\0\3\u01f1\1\u0279\11\u01f1\7\0\2\u01f1"+
    "\26\0\4\u01f1\26\0\4\u01f1\24\0\1\u027a\112\0\1\166"+
    "\133\0\1\u027b\31\0\1\u027b\6\0\1\u027b\30\0\1\u027c"+
    "\31\0\1\u027c\57\0\1\u027d\31\0\1\u027d\57\0\1\u027e"+
    "\31\0\1\u027e\73\0\1\u027f\31\0\1\u027f\15\0\3\u023c"+
    "\1\0\1\u023d\6\0\1\u023e\11\0\1\u023f\25\0\1\u0240"+
    "\1\u023e\2\0\1\u023f\74\0\1\u0280\31\0\1\u0280\15\0"+
    "\3\u023e\1\0\1\u0281\1\u0282\6\0\1\u0283\1\u0284\1\u0285"+
    "\4\u0283\131\0\1\u0286\31\0\1\u0286\55\0\1\u0287\31\0"+
    "\1\u0287\45\0\1\u0288\31\0\1\u0288\31\0\3\u01ec\1\0"+
    "\1\u01ed\5\0\1\u01ec\14\0\1\u0192\1\0\1\u0289\15\0"+
    "\1\u0192\11\0\1\u0192\1\0\1\u0289\15\0\1\u0192\52\0"+
    "\1\u028a\31\0\1\u028a\64\0\1\u028b\31\0\1\u028b\41\0"+
    "\1\u028c\31\0\1\u028c\26\0\3\u0246\1\0\1\u028d\1\0"+
    "\4\u0246\15\0\1\u019f\1\0\1\30\2\0\1\31\7\0"+
    "\1\33\1\u028e\5\0\1\u028f\2\0\1\u0246\2\0\1\u019f"+
    "\1\0\1\30\2\0\1\31\7\0\1\33\1\u028e\41\0"+
    "\1\330\31\0\1\330\74\0\1\u0290\31\0\1\u0290\36\0"+
    "\1\u0291\112\0\1\317\131\0\1\u0292\31\0\1\u0292\50\0"+
    "\1\u013c\5\0\1\u013c\23\0\1\u013c\5\0\1\u013c\10\0"+
    "\1\u013c\52\0\1\u0293\31\0\1\u0293\10\0\3\u024e\1\0"+
    "\1\u0294\22\0\1\35\12\0\1\336\4\0\1\35\11\0"+
    "\1\35\12\0\1\336\4\0\1\35\34\0\1\211\133\0"+
    "\1\u0295\31\0\1\u0295\6\0\1\u0295\51\0\1\u0296\31\0"+
    "\1\u0296\52\0\1\u0297\31\0\1\u0297\57\0\1\u0298\31\0"+
    "\1\u0298\46\0\1\217\3\0\1\45\25\0\1\217\3\0"+
    "\1\45\16\0\1\45\43\0\1\u0299\31\0\1\u0299\43\0"+
    "\1\363\133\0\1\u029a\31\0\1\u029a\6\0\1\u029a\22\0"+
    "\3\u0211\103\0\3\u0211\130\0\1\u029b\5\0\1\u029b\23\0"+
    "\1\u029b\5\0\1\u029b\10\0\1\u029b\45\0\1\u029c\31\0"+
    "\1\u029c\41\0\1\233\131\0\1\u029d\31\0\1\u029d\57\0"+
    "\1\u029e\31\0\1\u029e\61\0\1\u029f\31\0\1\u029f\6\0"+
    "\1\u029f\44\0\1\u02a0\31\0\1\u02a0\14\0\3\u02a1\1\u02a2"+
    "\11\u02a1\7\0\2\u02a1\26\0\4\u02a1\26\0\4\u02a1\24\0"+
    "\1\u02a3\112\0\1\373\116\0\1\214\31\0\1\214\42\0"+
    "\7\u026a\32\0\1\u02a4\100\0\1\u02a5\31\0\1\u02a5\57\0"+
    "\1\u02a6\31\0\1\u02a6\55\0\1\u02a7\31\0\1\u02a7\57\0"+
    "\1\u02a8\31\0\1\u02a8\46\0\1\255\3\0\1\66\25\0"+
    "\1\255\3\0\1\66\16\0\1\66\43\0\1\u02a9\31\0"+
    "\1\u02a9\43\0\1\u0116\133\0\1\u02aa\31\0\1\u02aa\6\0"+
    "\1\u02aa\33\0\1\252\31\0\1\252\52\0\1\u0121\131\0"+
    "\1\u02ab\31\0\1\u02ab\41\0\1\u02ac\31\0\1\u02ac\32\0"+
    "\1\u01f1\156\0\1\u02ad\31\0\1\u02ad\6\0\1\u02ad\46\0"+
    "\1\u02ae\31\0\1\u02ae\61\0\1\u02af\31\0\1\u02af\6\0"+
    "\1\u02af\50\0\1\u02b0\31\0\1\u02b0\6\0\1\u02b0\50\0"+
    "\1\u02b1\31\0\1\u02b1\6\0\1\u02b1\30\0\1\u02b2\31\0"+
    "\1\u02b2\57\0\1\u02b3\31\0\1\u02b3\73\0\1\u02b4\31\0"+
    "\1\u02b4\31\0\7\u0283\103\0\7\u02b5\103\0\5\u02b5\1\u02b6"+
    "\1\u02b7\103\0\1\u02b8\6\u02b5\131\0\1\u02b9\31\0\1\u02b9"+
    "\54\0\1\u02ba\31\0\1\u02ba\16\0\1\u02ba\47\0\1\u02bb"+
    "\31\0\1\u02bb\6\0\1\u02bb\47\0\1\u02bc\31\0\1\u02bc"+
    "\35\0\1\u02bd\132\0\1\u02be\31\0\1\u02be\55\0\1\u02bf"+
    "\31\0\1\u02bf\57\0\1\u02c0\31\0\1\u02c0\46\0\1\322"+
    "\3\0\1\110\25\0\1\322\3\0\1\110\16\0\1\110"+
    "\43\0\1\u02c1\31\0\1\u02c1\43\0\1\u0138\133\0\1\u02c2"+
    "\31\0\1\u02c2\6\0\1\u02c2\26\0\1\u013c\116\0\1\317"+
    "\31\0\1\317\70\0\1\u02c3\31\0\1\u02c3\61\0\1\u02c4"+
    "\31\0\1\u02c4\57\0\1\u02c5\31\0\1\u02c5\62\0\1\115"+
    "\31\0\1\115\36\0\1\u02c6\31\0\1\u02c6\70\0\1\u02c7"+
    "\31\0\1\u02c7\16\0\1\u02c7\50\0\1\u02c8\31\0\1\u02c8"+
    "\10\0\3\u029b\1\0\1\u02c9\1\u0210\6\0\1\u0211\1\u0212"+
    "\1\u0213\4\u0211\112\0\1\u02ca\112\0\1\371\111\0\1\u015e"+
    "\131\0\1\u02cb\31\0\1\u02cb\41\0\1\u02cc\31\0\1\u02cc"+
    "\32\0\1\u02a1\156\0\1\u02cd\31\0\1\u02cd\6\0\1\u02cd"+
    "\26\0\1\u016b\137\0\1\u02ce\31\0\1\u02ce\54\0\1\140"+
    "\31\0\1\140\36\0\1\u02cf\31\0\1\u02cf\70\0\1\u02d0"+
    "\31\0\1\u02d0\16\0\1\u02d0\50\0\1\u02d1\31\0\1\u02d1"+
    "\34\0\1\u0123\133\0\1\u02d2\31\0\1\u02d2\6\0\1\u02d2"+
    "\51\0\1\u02d3\31\0\1\u02d3\34\0\1\u018e\131\0\1\u02d4"+
    "\31\0\1\u02d4\57\0\1\u02d5\31\0\1\u02d5\57\0\1\u02d6"+
    "\31\0\1\u02d6\61\0\1\u02d7\31\0\1\u02d7\6\0\1\u02d7"+
    "\50\0\1\u02d8\31\0\1\u02d8\6\0\1\u02d8\30\0\1\u02d9"+
    "\31\0\1\u02d9\31\0\3\u02da\1\0\1\u02db\3\0\1\u0190"+
    "\1\u0191\15\0\1\u0192\12\0\1\u0193\1\0\1\u02dc\2\0"+
    "\1\u0192\3\0\1\u0195\2\0\1\u0191\2\0\1\u0192\12\0"+
    "\1\u0193\1\0\1\u02dc\2\0\1\u0192\10\0\3\u02da\1\0"+
    "\1\u02db\3\0\1\u0190\1\u0191\6\0\3\u0283\4\0\1\u0192"+
    "\12\0\1\u0193\1\0\1\u02dc\2\0\1\u0192\3\0\1\u0195"+
    "\2\0\1\u0191\2\0\1\u0192\12\0\1\u0193\1\0\1\u02dc"+
    "\2\0\1\u0192\10\0\3\u02da\1\0\1\u02db\3\0\1\u0190"+
    "\1\u0191\2\0\7\u0283\4\0\1\u0192\12\0\1\u0193\1\0"+
    "\1\u02dc\2\0\1\u0192\3\0\1\u0195\2\0\1\u0191\2\0"+
    "\1\u0192\12\0\1\u0193\1\0\1\u02dc\2\0\1\u0192\10\0"+
    "\3\u02da\1\0\1\u02db\3\0\1\u0190\1\u0191\2\0\3\u0283"+
    "\10\0\1\u0192\12\0\1\u0193\1\0\1\u02dc\2\0\1\u0192"+
    "\3\0\1\u0195\2\0\1\u0191\2\0\1\u0192\12\0\1\u0193"+
    "\1\0\1\u02dc\2\0\1\u0192\45\0\1\u023e\5\0\1\u023e"+
    "\23\0\1\u023e\5\0\1\u023e\10\0\1\u023e\45\0\1\u02dd"+
    "\31\0\1\u02dd\61\0\1\u02de\31\0\1\u02de\50\0\1\u01ec"+
    "\5\0\1\u01ec\23\0\1\u01ec\5\0\1\u01ec\10\0\1\u01ec"+
    "\51\0\1\u02df\31\0\1\u02df\6\0\1\u02df\54\0\1\u02e0"+
    "\31\0\1\u02e0\54\0\1\171\31\0\1\171\36\0\1\u02e1"+
    "\31\0\1\u02e1\70\0\1\u02e2\31\0\1\u02e2\16\0\1\u02e2"+
    "\50\0\1\u02e3\31\0\1\u02e3\36\0\1\u02e4\31\0\1\u02e4"+
    "\55\0\1\u0148\137\0\1\u02e5\31\0\1\u02e5\53\0\1\u02e6"+
    "\31\0\1\u02e6\6\0\1\u02e6\44\0\1\u02e7\31\0\1\u02e7"+
    "\61\0\1\u02e8\31\0\1\u02e8\55\0\1\u02e9\31\0\1\u02e9"+
    "\63\0\1\u02ea\31\0\1\u02ea\6\0\1\u02ea\26\0\1\u0160"+
    "\133\0\1\u02eb\31\0\1\u02eb\6\0\1\u02eb\51\0\1\u02ec"+
    "\31\0\1\u02ec\33\0\1\u02ed\134\0\1\u02ee\31\0\1\u02ee"+
    "\6\0\1\u02ee\44\0\1\u02ef\31\0\1\u02ef\61\0\1\u02f0"+
    "\31\0\1\u02f0\57\0\1\u02f1\31\0\1\u02f1\57\0\1\u02f2"+
    "\31\0\1\u02f2\37\0\1\u0190\111\0\1\u0191\111\0\1\u0192"+
    "\131\0\1\u02f3\31\0\1\u02f3\57\0\1\u02f4\31\0\1\u02f4"+
    "\61\0\1\u02f5\31\0\1\u02f5\6\0\1\u02f5\44\0\1\u02f6"+
    "\31\0\1\u02f6\40\0\1\u02f7\112\0\1\u01ec\134\0\1\u02f8"+
    "\31\0\1\u02f8\33\0\1\u02f9\134\0\1\u02fa\31\0\1\u02fa"+
    "\6\0\1\u02fa\44\0\1\u02fb\31\0\1\u02fb\61\0\1\u02fc"+
    "\31\0\1\u02fc\61\0\1\u02fd\31\0\1\u02fd\6\0\1\u02fd"+
    "\25\0\1\u02fe\132\0\1\u02ff\31\0\1\u02ff\36\0\1\u0300"+
    "\140\0\1\u0301\31\0\1\u0301\33\0\1\u0302\31\0\1\u0302"+
    "\100\0\1\u0303\31\0\1\u0303\54\0\1\u0304\31\0\1\u0304"+
    "\57\0\1\u0305\31\0\1\u0305\50\0\1\u0306\5\0\1\u0307"+
    "\23\0\1\u0306\5\0\1\u0307\10\0\1\u0306\47\0\1\u0308"+
    "\31\0\1\u0308\36\0\1\u0309\140\0\1\u030a\31\0\1\u030a"+
    "\31\0\1\u0232\137\0\1\u030b\31\0\1\u030b\31\0\1\u01ea"+
    "\111\0\1\u023c\131\0\1\u030c\31\0\1\u030c\41\0\1\u030d"+
    "\31\0\1\u030d\77\0\1\u030e\31\0\1\u030e\6\0\1\u030e"+
    "\46\0\1\u030f\31\0\1\u030f\50\0\1\u0310\5\0\1\u0311"+
    "\23\0\1\u0310\5\0\1\u0311\10\0\1\u0310\47\0\1\u0312"+
    "\31\0\1\u0312\36\0\1\u0313\140\0\1\u0314\31\0\1\u0314"+
    "\51\0\1\u0315\31\0\1\u0315\50\0\1\u0316\5\0\1\u0317"+
    "\23\0\1\u0316\5\0\1\u0317\10\0\1\u0316\27\0\1\u020b"+
    "\133\0\1\u0318\31\0\1\u0318\6\0\1\u0318\25\0\1\u0319"+
    "\134\0\1\u031a\31\0\1\u031a\6\0\1\u031a\46\0\1\u031b"+
    "\31\0\1\u031b\37\0\1\u0264\137\0\1\u031c\31\0\1\u031c"+
    "\47\0\1\u031d\31\0\1\u031d\47\0\1\u031d\31\0\1\u031d"+
    "\51\0\1\u0228\133\0\1\u031e\31\0\1\u031e\6\0\1\u031e"+
    "\25\0\1\u031f\111\0\1\u0320\112\0\1\u023e\133\0\1\u0321"+
    "\31\0\1\u0321\6\0\1\u0321\51\0\1\u0322\31\0\1\u0322"+
    "\62\0\1\u0323\31\0\1\u0323\47\0\1\u0324\31\0\1\u0324"+
    "\47\0\1\u0324\31\0\1\u0324\51\0\1\u0246\133\0\1\u0325"+
    "\31\0\1\u0325\6\0\1\u0325\25\0\1\u0326\112\0\1\u024e"+
    "\127\0\1\u0327\31\0\1\u0327\47\0\1\u0327\31\0\1\u0327"+
    "\74\0\1\u0328\31\0\1\u0328\7\0\2\u0319\3\0\17\u0319"+
    "\1\u0329\27\u0319\1\0\1\u0319\1\0\33\u0319\45\0\1\u032a"+
    "\31\0\1\u032a\65\0\1\u032b\31\0\1\u032b\30\0\1\u032c"+
    "\111\0\1\u032d\135\0\1\u032e\31\0\1\u032e\7\0\2\u031f"+
    "\3\0\17\u031f\1\u032f\27\u031f\1\0\1\u031f\1\0\33\u031f"+
    "\36\0\1\u0330\5\0\1\u0331\23\0\1\u0330\5\0\1\u0331"+
    "\10\0\1\u0330\47\0\1\u0332\31\0\1\u0332\57\0\1\u0333"+
    "\31\0\1\u0333\36\0\1\u0334\111\0\1\u0335\135\0\1\u0336"+
    "\31\0\1\u0336\7\0\2\u0326\3\0\17\u0326\1\u0337\27\u0326"+
    "\1\0\1\u0326\1\0\33\u0326\24\0\1\u0338\132\0\1\u0339"+
    "\31\0\1\u0339\27\0\7\u033a\113\0\1\u029b\110\0\1\u033b"+
    "\123\0\1\u033c\5\0\1\u033d\23\0\1\u033c\5\0\1\u033d"+
    "\10\0\1\u033c\17\0\7\u033e\133\0\1\u033f\31\0\1\u033f"+
    "\27\0\7\u0340\131\0\1\u0341\31\0\1\u0341\47\0\1\u0341"+
    "\31\0\1\u0341\51\0\1\u02da\137\0\1\u0342\31\0\1\u0342"+
    "\32\0\1\u0343\31\0\1\u0343\46\0\7\u0344\133\0\1\u0345"+
    "\31\0\1\u0345\27\0\7\u0346\103\0\7\u0347\141\0\1\u0348"+
    "\31\0\1\u0348\21\0\7\u033a\32\0\1\u0349\71\0\1\u034a"+
    "\5\0\1\u034b\23\0\1\u034a\5\0\1\u034b\10\0\1\u034a"+
    "\45\0\1\u034c\31\0\1\u034c\47\0\1\u034c\31\0\1\u034c"+
    "\41\0\7\u033e\32\0\1\u034d\106\0\1\u034e\31\0\1\u034e"+
    "\21\0\7\u0340\32\0\1\u034f\57\0\1\u0350\111\0\1\u0351"+
    "\130\0\1\u0352\31\0\1\u0352\31\0\7\u0344\32\0\1\u0353"+
    "\106\0\1\u0354\31\0\1\u0354\21\0\7\u0346\32\0\1\u0355"+
    "\50\0\7\u0347\32\0\1\u0356\57\0\1\u0357\65\0\54\u0358"+
    "\1\0\35\u0358\43\0\1\u0359\31\0\1\u0359\47\0\1\u0359"+
    "\31\0\1\u0359\50\0\1\u035a\65\0\54\u035b\1\0\35\u035b"+
    "\24\0\1\u035c\65\0\54\u035d\1\0\35\u035d\15\0\7\u035e"+
    "\124\0\1\u035f\5\0\1\u0360\23\0\1\u035f\5\0\1\u0360"+
    "\10\0\1\u035f\33\0\1\u0361\31\0\1\u0361\26\0\54\u0362"+
    "\1\0\35\u0362\24\0\1\u0363\65\0\54\u0364\1\0\35\u0364"+
    "\54\u0365\1\0\35\u0365\2\u0357\3\0\17\u0357\1\u0366\27\u0357"+
    "\1\0\1\u0357\1\0\33\u0357\54\u0358\1\u0367\35\u0358\24\0"+
    "\1\u0368\102\0\7\u0369\66\0\54\u035b\1\u036a\35\u035b\2\u035c"+
    "\3\0\17\u035c\1\u036b\27\u035c\1\0\1\u035c\1\0\33\u035c"+
    "\54\u035d\1\u036c\35\u035d\15\0\7\u035e\32\0\1\u036d\76\0"+
    "\1\u036e\31\0\1\u036e\47\0\1\u036e\31\0\1\u036e\50\0"+
    "\1\u036f\65\0\54\u0362\1\u0370\35\u0362\2\u0363\3\0\17\u0363"+
    "\1\u0371\27\u0363\1\0\1\u0363\1\0\33\u0363\54\u0364\1\u0372"+
    "\35\u0364\54\u0365\1\u0373\35\u0365\15\0\7\u0374\102\0\1\u0375"+
    "\112\0\7\u0376\103\0\7\u0369\32\0\1\u0377\47\0\1\u0378"+
    "\112\0\7\u0379\102\0\1\u037a\75\0\54\u037b\1\0\35\u037b"+
    "\24\0\1\u037c\102\0\7\u037d\102\0\1\u037e\112\0\7\u037f"+
    "\102\0\1\u0380\111\0\1\u0381\112\0\7\u0374\32\0\1\u0382"+
    "\74\0\1\u0383\31\0\1\u0383\33\0\7\u0376\32\0\1\u0384"+
    "\33\0\54\u0385\1\0\35\u0385\41\0\1\u0386\31\0\1\u0386"+
    "\33\0\7\u0379\32\0\1\u0387\74\0\1\u0388\31\0\1\u0388"+
    "\16\0\54\u037b\1\u0389\35\u037b\15\0\7\u038a\103\0\7\u037d"+
    "\32\0\1\u038b\74\0\1\u038c\31\0\1\u038c\33\0\7\u037f"+
    "\32\0\1\u038d\74\0\1\u038e\31\0\1\u038e\57\0\1\u038f"+
    "\31\0\1\u038f\16\0\54\u0390\1\0\35\u0390\40\0\1\u0391"+
    "\31\0\1\u0391\16\0\1\u0391\54\u0392\1\0\35\u0392\54\u0385"+
    "\1\u0393\35\u0385\40\0\1\u0394\31\0\1\u0394\16\0\1\u0394"+
    "\54\u0395\1\0\35\u0395\40\0\1\u0396\31\0\1\u0396\16\0"+
    "\1\u0396\14\0\1\u0397\112\0\7\u038a\32\0\1\u0398\33\0"+
    "\54\u0399\1\0\35\u0399\40\0\1\u039a\31\0\1\u039a\16\0"+
    "\1\u039a\54\u039b\1\0\35\u039b\40\0\1\u039c\31\0\1\u039c"+
    "\16\0\1\u039c\40\0\1\u039d\31\0\1\u039d\16\0\1\u039d"+
    "\54\u0390\1\u039e\35\u0390\43\0\1\u039f\31\0\1\u039f\14\0"+
    "\54\u0392\1\u03a0\35\u0392\14\0\1\u03a1\140\0\1\u03a2\31\0"+
    "\1\u03a2\14\0\54\u0395\1\u03a3\35\u0395\43\0\1\u03a4\31\0"+
    "\1\u03a4\55\0\1\u03a5\31\0\1\u03a5\16\0\54\u03a6\1\0"+
    "\35\u03a6\54\u0399\1\u03a7\35\u0399\43\0\1\u03a8\31\0\1\u03a8"+
    "\14\0\54\u039b\1\u03a9\35\u039b\43\0\1\u03aa\31\0\1\u03aa"+
    "\57\0\1\u03ab\31\0\1\u03ab\30\0\1\u03ac\153\0\1\363"+
    "\47\0\1\u03ad\136\0\1\u03ae\31\0\1\u03ae\74\0\1\u03af"+
    "\47\0\1\u03b0\153\0\1\u0116\73\0\1\u03b1\31\0\1\u03b1"+
    "\16\0\1\u03b1\54\u03a6\1\u03b2\35\u03a6\14\0\1\u03b3\153\0"+
    "\1\u03b4\47\0\1\u03b5\153\0\1\u0138\111\0\1\u03b6\74\0"+
    "\1\u03b7\31\0\1\u03b7\57\0\1\u03b8\31\0\1\u03b8\56\0"+
    "\1\u03b9\31\0\1\u03b9\16\0\1\u03b9\1\0\3\u03af\1\0"+
    "\1\u03ba\1\244\6\0\1\245\1\246\1\247\4\245\2\0"+
    "\1\136\31\0\1\136\72\0\1\u03bb\31\0\1\u03bb\61\0"+
    "\1\u03bc\31\0\1\u03bc\30\0\1\u03bd\136\0\1\u03be\31\0"+
    "\1\u03be\17\0\3\u03b4\1\0\1\u03bf\1\311\6\0\1\312"+
    "\1\313\1\314\4\312\2\0\1\167\31\0\1\167\72\0"+
    "\1\u03c0\31\0\1\u03c0\17\0\3\u03b6\1\0\1\u03c1\1\346"+
    "\6\0\1\347\1\350\1\351\4\347\2\0\1\212\31\0"+
    "\1\212\71\0\1\u03c2\31\0\1\u03c2\16\0\1\u03c2\40\0"+
    "\1\u03c3\31\0\1\u03c3\16\0\1\u03c3\43\0\1\u03c4\31\0"+
    "\1\u03c4\57\0\1\u03c5\31\0\1\u03c5\54\0\1\u03c6\31\0"+
    "\1\u03c6\16\0\1\u03c6\56\0\1\u03c7\74\0\1\u03c8\31\0"+
    "\1\u03c8\56\0\1\u03c9\31\0\1\u03c9\16\0\1\u03c9\43\0"+
    "\1\u03ca\31\0\1\u03ca\54\0\1\u03cb\31\0\1\u03cb\16\0"+
    "\1\u03cb\43\0\1\u03cc\31\0\1\u03cc\57\0\1\u03cd\31\0"+
    "\1\u03cd\57\0\1\u03ce\31\0\1\u03ce\72\0\1\u03cf\62\0"+
    "\1\u03d0\31\0\1\u03d0\73\0\1\u03d1\31\0\1\u03d1\15\0"+
    "\3\u03c7\1\0\1\u03d2\1\u0185\6\0\1\u0186\1\u0187\1\u0188"+
    "\4\u0186\2\0\1\u0124\31\0\1\u0124\71\0\1\u03d3\31\0"+
    "\1\u03d3\16\0\1\u03d3\43\0\1\u03d4\31\0\1\u03d4\43\0"+
    "\1\u03d5\31\0\1\u03d5\73\0\1\u03d6\31\0\1\u03d6\43\0"+
    "\1\u03d7\31\0\1\u03d7\106\0\1\u020b\111\0\1\u03d8\34\0"+
    "\3\u03cf\1\0\1\u03d9\1\u01be\6\0\1\u01bf\1\u01c0\1\u01c1"+
    "\4\u01bf\2\0\1\u0161\31\0\1\u0161\100\0\1\u03da\31\0"+
    "\1\u03da\6\0\1\u03da\57\0\1\u0228\76\0\1\u03db\31\0"+
    "\1\u03db\57\0\1\u03dc\31\0\1\u03dc\72\0\1\u03dd\102\0"+
    "\1\u03de\31\0\1\u03de\6\0\1\u03de\57\0\1\u0246\102\0"+
    "\1\u03df\31\0\1\u03df\6\0\1\u03df\2\0\3\u03d8\1\0"+
    "\1\u03e0\1\u0210\6\0\1\u0211\1\u0212\1\u0213\4\u0211\2\0"+
    "\1\u01b8\31\0\1\u01b8\74\0\1\u03e1\31\0\1\u03e1\61\0"+
    "\1\u03e2\31\0\1\u03e2\41\0\1\u03e3\31\0\1\u03e3\106\0"+
    "\1\u03e4\34\0\3\u03dd\1\0\1\u03e5\22\0\1\u03e6\12\0"+
    "\1\u03e7\4\0\1\u03e6\11\0\1\u03e6\12\0\1\u03e7\4\0"+
    "\1\u03e6\54\0\1\u03e8\31\0\1\u03e8\57\0\1\u03e9\31\0"+
    "\1\u03e9\55\0\1\u03ea\31\0\1\u03ea\43\0\1\u03eb\31\0"+
    "\1\u03eb\55\0\1\u03af\133\0\1\u03ec\31\0\1\u03ec\6\0"+
    "\1\u03ec\2\0\3\u03e4\1\0\1\u03ed\1\u0282\6\0\1\u0283"+
    "\1\u0284\1\u0285\4\u0283\2\0\1\u023f\31\0\1\u023f\74\0"+
    "\1\u03ee\31\0\1\u03ee\15\0\3\u03e6\1\0\1\u03ef\4\0"+
    "\2\u03f0\1\0\7\u03f1\33\0\1\u03f0\33\0\3\u03f2\1\0"+
    "\1\u03f3\5\0\1\u03f4\14\0\1\u03e6\12\0\2\u03f5\1\0"+
    "\1\u03f5\1\0\1\u03e6\1\u03f6\10\0\1\u03e6\12\0\2\u03f5"+
    "\1\0\1\u03f5\1\0\1\u03e6\1\u03f6\2\0\1\u03f2\30\0"+
    "\1\u03b4\111\0\1\u03b6\113\0\1\u03f7\31\0\1\u03f7\77\0"+
    "\1\u03f8\31\0\1\u03f8\6\0\1\u03f8\46\0\1\u03f9\31\0"+
    "\1\u03f9\55\0\1\u03fa\31\0\1\u03fa\43\0\1\u03fb\31\0"+
    "\1\u03fb\73\0\1\u03fc\31\0\1\u03fc\15\0\3\u03f0\1\0"+
    "\1\u03fd\7\0\7\u03f1\67\0\3\u03fe\1\0\1\u03ff\6\0"+
    "\1\u0400\7\u03f1\2\0\1\u0401\25\0\1\u0402\1\u0400\2\0"+
    "\1\u0401\32\0\3\u03f2\1\0\1\u03f3\22\0\1\u03e6\17\0"+
    "\1\u03e6\11\0\1\u03e6\17\0\1\u03e6\52\0\1\u0403\31\0"+
    "\1\u0403\15\0\3\u03f2\1\0\1\u03f3\22\0\1\u03e6\17\0"+
    "\1\u03e6\11\0\1\u03e6\17\0\1\u03e6\3\0\1\u03f2\4\0"+
    "\3\u03f2\1\0\1\u03f3\5\0\1\u03f2\14\0\1\u03e6\17\0"+
    "\1\u03e6\11\0\1\u03e6\17\0\1\u03e6\51\0\1\u0404\31\0"+
    "\1\u0404\64\0\1\u0405\31\0\1\u0405\6\0\1\u0405\46\0"+
    "\1\u0406\31\0\1\u0406\37\0\1\u03c7\113\0\1\u0407\31\0"+
    "\1\u0407\77\0\1\u0408\31\0\1\u0408\6\0\1\u0408\30\0"+
    "\1\u0409\31\0\1\u0409\73\0\1\u040a\31\0\1\u040a\15\0"+
    "\3\u03fe\1\0\1\u03ff\6\0\1\u0400\11\0\1\u0401\25\0"+
    "\1\u0402\1\u0400\2\0\1\u0401\74\0\1\u040b\31\0\1\u040b"+
    "\15\0\3\u0400\1\0\1\u040c\1\u040d\6\0\1\u040e\1\u040f"+
    "\1\u0410\4\u040e\131\0\1\u0411\31\0\1\u0411\55\0\1\u0412"+
    "\31\0\1\u0412\45\0\1\u0413\31\0\1\u0413\31\0\3\u03f2"+
    "\1\0\1\u03f3\5\0\1\u03f2\14\0\1\u03e6\1\0\1\u0414"+
    "\15\0\1\u03e6\11\0\1\u03e6\1\0\1\u0414\15\0\1\u03e6"+
    "\54\0\1\u0415\31\0\1\u0415\37\0\1\u03cf\133\0\1\u0416"+
    "\31\0\1\u0416\6\0\1\u0416\46\0\1\u0417\31\0\1\u0417"+
    "\61\0\1\u0418\31\0\1\u0418\6\0\1\u0418\30\0\1\u0419"+
    "\31\0\1\u0419\57\0\1\u041a\31\0\1\u041a\73\0\1\u041b"+
    "\31\0\1\u041b\31\0\7\u040e\103\0\7\u041c\103\0\5\u041c"+
    "\1\u041d\1\u041e\103\0\1\u041f\6\u041c\131\0\1\u0420\31\0"+
    "\1\u0420\54\0\1\u0421\31\0\1\u0421\16\0\1\u0421\47\0"+
    "\1\u0422\31\0\1\u0422\6\0\1\u0422\47\0\1\u0423\31\0"+
    "\1\u0423\36\0\1\u03d8\131\0\1\u0424\31\0\1\u0424\37\0"+
    "\1\u03dd\131\0\1\u0425\31\0\1\u0425\61\0\1\u0426\31\0"+
    "\1\u0426\6\0\1\u0426\50\0\1\u0427\31\0\1\u0427\6\0"+
    "\1\u0427\30\0\1\u0428\31\0\1\u0428\31\0\3\u0429\1\0"+
    "\1\u042a\37\0\1\u042b\31\0\1\u042b\13\0\3\u0429\1\0"+
    "\1\u042a\13\0\3\u040e\21\0\1\u042b\31\0\1\u042b\13\0"+
    "\3\u0429\1\0\1\u042a\7\0\7\u040e\21\0\1\u042b\31\0"+
    "\1\u042b\13\0\3\u0429\1\0\1\u042a\7\0\3\u040e\25\0"+
    "\1\u042b\31\0\1\u042b\50\0\1\u0400\5\0\1\u0400\23\0"+
    "\1\u0400\5\0\1\u0400\10\0\1\u0400\45\0\1\u042c\31\0"+
    "\1\u042c\61\0\1\u042d\31\0\1\u042d\50\0\1\u03f2\5\0"+
    "\1\u03f2\23\0\1\u03f2\5\0\1\u03f2\10\0\1\u03f2\27\0"+
    "\1\u03e4\111\0\1\u03e6\131\0\1\u042e\31\0\1\u042e\57\0"+
    "\1\u042f\31\0\1\u042f\61\0\1\u0430\31\0\1\u0430\6\0"+
    "\1\u0430\44\0\1\u0431\31\0\1\u0431\40\0\1\u0432\112\0"+
    "\1\u03f2\111\0\1\u03f0\111\0\1\u03fe\131\0\1\u0433\31\0"+
    "\1\u0433\41\0\1\u0434\31\0\1\u0434\77\0\1\u0435\31\0"+
    "\1\u0435\6\0\1\u0435\26\0\1\u0400\133\0\1\u0436\31\0"+
    "\1\u0436\6\0\1\u0436\51\0\1\u0437\31\0\1\u0437\54\0"+
    "\1\u0438\31\0\1\u0438\57\0\1\u0439\31\0\1\u0439\37\0"+
    "\1\u0429\137\0\1\u043a\31\0\1\u043a\30\0\1\u043b\123\0"+
    "\1\u043c\5\0\1\u043d\23\0\1\u043c\5\0\1\u043d\10\0"+
    "\1\u043c\45\0\1\u043e\31\0\1\u043e\47\0\1\u043e\31\0"+
    "\1\u043e\50\0\1\u043f\102\0\7\u0440\103\0\7\u0440\32\0"+
    "\1\u0441\33\0\54\u0442\1\0\111\u0442\1\u0443\35\u0442\14\0"+
    "\1\u0444\136\0\1\u0445\31\0\1\u0445\56\0\1\u0446\31\0"+
    "\1\u0446\16\0\1\u0446\43\0\1\u0447\31\0\1\u0447\72\0"+
    "\1\u0448\34\0\3\u0448\1\0\1\u0449\1\u040d\6\0\1\u040e"+
    "\1\u040f\1\u0410\4\u040e\2\0\1\u0401\31\0\1\u0401\74\0"+
    "\1\u044a\31\0\1\u044a\43\0\1\u044b\31\0\1\u044b\77\0"+
    "\1\u044c\31\0\1\u044c\6\0\1\u044c\46\0\1\u044d\31\0"+
    "\1\u044d\37\0\1\u0448\64\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[79032];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\3\0\2\1\1\11\6\1\1\11\1\1\1\11\7\1"+
    "\124\0\1\1\76\0\1\1\127\0\1\11\4\0\4\1"+
    "\36\0\4\1\100\0\1\11\151\0\1\11\1\1\4\0"+
    "\4\1\20\0\1\11\5\1\43\0\4\1\20\0\1\11"+
    "\53\0\1\11\3\1\33\0\1\1\47\0\1\11\1\1"+
    "\1\0\1\11\20\0\4\1\43\0\1\1\u013f\0\4\1"+
    "\13\0\1\11\42\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[1101];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	S060_CaseNumbersCGUE() { }
	
	private String getValueFromText() {
	
		return "C-" + Util.readFirstNumber(yytext()) + "/" + Util.readSecondNumber(yytext());
	}
	
	private String getValueFromTextBrackets() {
	
		return "C-" + Util.readSecondNumber(yytext()) + "/" + Util.normalizeYear(Util.readFirstNumber(yytext()));
	}
	
	void annotateCGUE(AnnotationEntity newEntity, String value, boolean leftEdge, boolean rightEdge) {
		
		if(value == null) value = "";
		
		text = yytext();
		
		if(leftEdge) {
			
			addText(text.substring(0,1));
			position++;
			text = text.substring(1);
		}
	
		annotationEntity = newEntity;
		annotationEntity.setPosition(position);
		
		if(rightEdge) {
		
			text = text.substring(0, text.length()-1);
			yypushback(1);
		}

		text = Util.removeAllAnnotations(text);
		
		annotationEntity.setText(text);

		annotationEntity.setValue(value);
		
		position += text.length();

		addEntity(annotationEntity, true, true);
		
		//Crea un'autorità emanante all'interno del case number
		AnnotationEntity cgue = new AnnotationEntity(Entity.EU_CL_AUTH);
		cgue.setValue("CGUE");
		annotationEntity.addRelatedEntity(cgue);
		
		addEntity(cgue, false);
	}	

	private void startCGUE(boolean leftEdge, boolean rightEdge) {

		text = yytext();
		
		if(leftEdge) {
			
			addText(text.substring(0,1));
			position++;
			text = text.substring(1);
		}
	
		yypushback(text.length());
	
		if(rightEdge) {
		
			text = text.substring(0, text.length()-1);
		}
		
		annotationEntity = new AnnotationEntity(Entity.CASENUMBER);

		annotationEntity.setPosition(position);
		annotationEntity.setText(Util.removeAllAnnotations(text));
		
		//Crea un'autorità emanante all'interno del case number
		AnnotationEntity cgue = new AnnotationEntity(Entity.EU_CL_AUTH);
		cgue.setValue("CGUE");
		annotationEntity.addRelatedEntity(cgue);
		
		offset = 0;
		length = text.length();		
		yybegin(jointState);	
	}
	
	void annotateCEDU() {
		
		text = yytext();
	
		annotationEntity = new AnnotationEntity(Entity.CASENUMBER);
		annotationEntity.setPosition(position);
		
		text = Util.removeAllAnnotations(text);
		
		annotationEntity.setText(text);

		String value = Util.readFirstNumber(text) + "/" + Util.readSecondNumber(text);
		annotationEntity.setValue(value);
		
		position += text.length();

		addEntity(annotationEntity, true, true);
		
		//Crea un'autorità emanante all'interno del case number
		AnnotationEntity cedu = new AnnotationEntity(Entity.EU_CL_AUTH);
		cedu.setValue("CEDU");
		annotationEntity.addRelatedEntity(cedu);
		
		addEntity(cedu, false);
	}		
	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S060_CaseNumbersCGUE(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 15: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 16: break;
          case 3:
            { checkEnd();
            }
          // fall through
          case 17: break;
          case 4:
            { if( !checkEdge()) {
			
			offset += yylength();
			position += yylength();
		}
            }
          // fall through
          case 18: break;
          case 5:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 19: break;
          case 6:
            { if( !annotationEntity.getValue().equals("")) 
			annotationEntity.setValue(annotationEntity.getValue() + ";");
			
		annotationEntity.setValue(annotationEntity.getValue() + getValueFromText());
		
		offset += yylength();
		position += yylength();
            }
          // fall through
          case 20: break;
          case 7:
            { annotateCGUE(new AnnotationEntity(Entity.CASENUMBER), getValueFromText(), true, false);
            }
          // fall through
          case 21: break;
          case 8:
            { annotateCGUE(new AnnotationEntity(Entity.CASENUMBER), getValueFromTextBrackets(), true, true);
            }
          // fall through
          case 22: break;
          case 9:
            { annotateCGUE(new AnnotationEntity(Entity.CASENUMBER), getValueFromText(), true, true);
            }
          // fall through
          case 23: break;
          case 10:
            { annotateCGUE(new AnnotationEntity(Entity.CASENUMBER), getValueFromText(), false, false);
            }
          // fall through
          case 24: break;
          case 11:
            { annotateCEDU();
            }
          // fall through
          case 25: break;
          case 12:
            { annotateCGUE(new AnnotationEntity(Entity.CASENUMBER), getValueFromText(), false, true);
            }
          // fall through
          case 26: break;
          case 13:
            { addText(); 
	yybegin(lkn);
            }
          // fall through
          case 27: break;
          case 14:
            { startCGUE(true, false);
            }
          // fall through
          case 28: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S060_CaseNumbersCGUE [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S060_CaseNumbersCGUE scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S060_CaseNumbersCGUE(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
